\name{BGSall}
\alias{BGSall}
\alias{BGSboys}
\alias{BGSgirls}
\docType{data}
\non_function{}
\title{Berkeley guidance study}
\description{
Data from the Berkeley guidance study of children born in
 1928-29 in Berkeley, CA.
BGSall contains all the data, BGSboys the boys only, and BGSgirls the girls
only.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Sex}{
 0 = males, 1 = females
    }
    \item{WT2}{
 Age 2 weight (kg)
    }
    \item{HT2}{
 Age 2 height (cm)
    }
    \item{WT9}{
 Age 9 weight (kg)
    }
    \item{HT9}{
 Age 9 height (cm)
    }
    \item{LG9}{
 Age 9 leg circumference (cm)
    }
    \item{ST9}{
 Age 9 strength (kg)
    }
    \item{WT18}{
 Age 18 weight (kg)
    }
    \item{HT18}{
 Age 18 height (cm)
    }
    \item{LG18}{
 Age 18 leg circumference (cm)
    }
    \item{ST18}{
 Age 18 strength (kg)
    }
    \item{Soma}{
 Somatotype, a 1 to 7 scale of body type.
    }
 }
}
\source{
Tuddenham, R. D. and Snyder, M. M. (1954).
Physical Growth of California Boys and Girls from Birth to
Eighteen years. Univ. of Calif.
Publications in Child Development, 1, 183-364.}
\references{
S. Weisberg (2005).  \emph{Applied Linear Regression}, 3rd edition.  
New York: Wiley, Problem 3.1.
}
\examples{
data(BGSall)
data(BGSboys)
data(BGSgirls)
}
\keyword{datasets}

\eof
\name{BigMac2003}
\alias{BigMac2003}
\docType{data}
\non_function{}
\title{World cities data}
\description{
Prices in many world cities from a
2003 Union Bank of Switzerland report.}
}
\format{This data frame contains the following columns:
 \describe{
    \item{City}{
 Name of City
    }
    \item{BigMac}{
 Minutes of labor to purchase a Big Mac 
    }
    \item{Bread}{
 Minutes of labor to purchase 1 kg of bread
    }
    \item{Rice}{
 Minutes of labor to purchase 1 kg of rice
    }
    \item{FoodIndex}{
 Food price index (Zurich=100)
    }
    \item{Bus}{
 Cost in US dollars for a one-way 10 km ticket
    }
    \item{Apt}{
 Normal rent (US dollars) of a 3 room apartment
    }
    \item{TeachGI}{
 Primary teacher's gross income, 1000s of US dollars
    }
    \item{TeachNI}{
 Primary teacher's net income, 1000s of US dollars
    }
    \item{TaxRate}{
 Tax rate paid by a primary teacher
    }
    \item{TeachHours}{
 Primary teacher's hours of work per week:
    }
 }
}

\source{Union Bank of Switzerland report, \emph{Prices and Earnings Around
the Globe} (2003 version), from \url{http://www.ubs.com.}}
\references{Weisberg, S. (2005).  \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 7.4.}
\examples{
data(BigMac2003)
}
\keyword{datasets}

\eof
\name{MWwords}
\alias{MWwords}
\docType{data}
\non_function{}
\title{Word frequencies from Mosteller and Wallace}
\description{
The data give the frequencies of words in works from four different sources: the political writings of eighteenth century American political figures Alexander Hamilton, James Madison, and John Jay, and the book \emph{Ulysses} by twentieth century Irish writer James Joyce.}
}
\format{This data frame contains the following columns:
 \describe{
    \item{Word}{
Word 
    }
    \item{Hamilton}{
Hamilton frequency 
    }
    \item{HamiltonRank}{
Hamilton rank 
    }
    \item{Madison}{
Madison frequency 
    }
    \item{MadisonRank}{
Madison rank 
    }
    \item{Jay}{
Jay frequency 
    }
    \item{JayRank}{
Jay rank 
    }
    \item{Ulysses}{
Word frequency in \emph{Ulysses}
    }
    \item{UlyssesRank}{
Word rank in \emph{Ulysses}
    }
 }
}

\source{Mosteller, F. and Wallace, D. (1964). \emph{Inference and Disputed Authorship: The Federalist.} Reading, MA: Addison-Wesley.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 2.10.}
\examples{
data(MWwords)
}
\keyword{datasets}

\eof
\name{Mitchell}
\alias{Mitchell}
\non_function{}
\docType{data}
\title{Mitchell soil temperature}
\description{
Data collected by Kenneth G. Hubbard on soil temperature at 20 cm depth in
Mitchell, Nebraska for 17 years (1976-1992)
The variable month is the month number.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Month}{
 Months beginning Jan, 1976
    }
    \item{Temp}{
 Average soil temperature, degrees C
    }
 }
}

\source{Kenneth G. Hubbard}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 1.2.}
\examples{
data(Mitchell)
}
\keyword{datasets}

\eof
\name{UN1}
\alias{UN1}
\non_function{}
\docType{data}
\title{ National statistics from the United Nations }
\usage{data(UN)}
\description{
Demographic data for 193
places, mostly UN members, but also other areas like Hong Kong that are not
independent countries.
}
\format{
  This data frame contains the following columns:
  \describe{
    \item{Locality}{Locality name.  In some cases, the geographic area is
    smaller than a country; for example, Hong Kong}
    \item{Fertility}{Expected number of live births per female, 2000}
    \item{PPgdp}{Per capita 2001 GDP, in US \$}
  }
}
\details{
 These data were collected at published by the UN from a variety of sources.
 See original source for additional footnotes concerning values for
 individual countries.  Country names are given in the first column of the
 data file.
}
\source{
 \url{http://unstats.un.org/unsd/demographic}
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 1.3.
}
\examples{
data(UN1)
}
\keyword{datasets}

\eof
\name{UN2}
\alias{UN2}
\non_function{}
\docType{data}
\title{ National statistics from the United Nations }
\usage{data(UN)}
\description{
National health, welfare, and education statistics for 193
places, mostly UN members, but also other areas like Hong Kong that are not
independent countries.
}
\format{
  This data frame contains the following columns:
  \describe{
    \item{Locality}{Locality name.  In some cases, the geographic area is
    smaller than a country; for example, Hong Kong}
    \item{logFertility}{log Expected number of live births per female, 2000}
    \item{logPPgdp}{Log Per capita 2001 GDP, in US \$}
    \item{Purban}{Percent of population that is urban, 2001}
  }
}
\details{
 These data were collected at published by the UN from a variety of sources.
 See original source for additional footnotes concerning values for
 individual countries.  Country names are given in the first column of the
 data file.
}
\source{
 \url{http://unstats.un.org/unsd/demographic}
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 3.1.
}
\examples{
data(UN2)
}
\keyword{datasets}

\eof
\name{UN3}
\alias{UN3}
\non_function{}
\docType{data}
\title{ National statistics from the United Nations }
\description{
National health, welfare, and education statistics for 127
places, mostly UN members, but also other areas like Hong Kong that are not
independent countries.  Localities with missing data have been removed from this
data set.
}
\format{
  This data frame contains the following columns:
  \describe{
    \item{Locality}{Locality name.  In some cases, the geographic area is
    smaller than a country; for example, Hong Kong}
    \item{ModernC}{Percent of unmarried women using a modern method of
    contraception}
    \item{Change}{Annual population growth rate, percent}
    \item{PPgdp}{Per capita 2001 GDP, in US \$}
    \item{Frate}{Percent of females over age 15 economically active}
    \item{Pop}{Population, thousands}
    \item{Fertility}{Expected number of live births per female, 2000}
    \item{Purban}{Percent of population that is urban, 2001}
  }
}
\details{
 These data were collected at published by the UN from a variety of sources.
 See original source for additional footnotes concerning values for
 individual countries.  Locality names are given in the first column of the
 data file.
}
\source{
 \url{http://unstats.un.org/unsd/demographic}
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 7.7.
}
\examples{
data(UN3)
}
\keyword{datasets}

\eof
\name{ais}
\alias{ais}
\docType{data}
\non_function{}
\title{Australian institute of sport data}
\description{
Data on 102 male and 100 female athletes collected at the Australian
Institute of Sport.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Sex}{
 (0 = male or 1 = female)
    }
    \item{Ht}{
 height (cm)
    }
    \item{Wt}{
 weight (kg)
    }
    \item{LBM}{
 lean body mass
    }
    \item{RCC}{
 red cell count
    }
    \item{WCC}{
 white cell count
    }
    \item{Hc}{
 Hematocrit
    }
    \item{Hg}{
 Hemoglobin
    }
    \item{Ferr}{
 plasma ferritin concentration
    }
    \item{BMI}{
 body mass index, weight/(height)**2
    }
    \item{SSF}{
 sum of skin folds
    }
    \item{Bfat}{
 Percent body fat
    }
    \item{Label}{
 Case Labels
    }
    \item{Sport}{
 Sport
    }
 }
}

\source{Ross Cunningham and Richard Telford}
\references{
S. Weisberg (2005).  \emph{Applied Linear Regression}, 3rd edition.  New York:
Wiley, Section 6.4}

\examples{
data(ais)
}
\keyword{datasets}

\eof
\name{allshoots}
\alias{longshoots}
\alias{shortshoots}
\alias{allshoots}
\docType{data}
\non_function{}
\title{Apple shoots data}
\description{
  Bland's Apple Shoot data.   allshoots includes all the data,
shortshoots just the short shoot data, and longshoots includes long shoots
only.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Day}{
 days from dormancy
    }
    \item{n}{
 number of shoots sampled
    }
    \item{ybar}{
 average number of stem units
    }
    \item{SD}{
 within-day standard deviation
    }
    \item{Type}{
 1 if long shoots, 0 if shortshoots.
    }
 }
}

\source{Bland, J. (1978). A comparisonof certain aspects of ontogeny in the long
and short shoots of McIntosh apple during one annual growth cycle.  Unpublished 
Ph. D. dissertation, University of Minnesota, St. Paul, Minnesota.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition.
New York: Wiley, Section 5.3.}

\examples{
data(longshoots)
}
\keyword{datasets}

\eof
\name{anscombe}
\alias{anscombe}
\docType{data}
\non_function{}
\title{Anscombe's data on graphics}
\description{
Four regression problems, y1|x1, y2|x1,
y3|x1 and y4|x2 that illustrate the importance of graphics.
}
\format{This data frame contains the following columns:
 \describe{
    \item{x1}{
 Predictor with response y1, y2 or y3
    }
    \item{y1}{
Response 1 
    }
    \item{y2}{
Response 2 
    }
    \item{y3}{
Response 3 
    }
    \item{x2}{
 Predictor with response y4
    }
    \item{y4}{
Response 4 
    }
 }
}
\details{}
\source{
F. Anscombe (1983).  Graphs in statistical analysis, \emph{American
Statistician}, 27, 17-21.}
\references{Weisberg, S. (2005).  \emph{Applied Linear Regression}, 3rd edition.
New York: Wiley, Section 1.4}
\examples{
data(anscombe)
}
\keyword{datasets}

\eof
\name{baeskel}
\alias{baeskel}
\docType{data}
\non_function{}
\title{Surface tension}
\description{The data in the file were collected in a study of the effect of dissolved sulfur on the surface tension of liquid copper (Baes and Kellogg, 1953)}
\format{This data frame contains the following columns:
 \describe{
    \item{Sulfur}{
Weight percent sulfur 
    }
    \item{Tension}{
Decrease in surface tension, dynes/cm 
    }
 }
}

\source{
Baes, C. and Kellogg,  H. (1953).  Effect of dissolved sulphur on the
surface tension of liquid copper.  \emph{J. Metals}, 5, 643-648.}

\references{Weisberg, S. (2005).  \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 7.4}

\examples{
data(baeskel)
}
\keyword{datasets}

\eof
\name{banknote}
\alias{banknote}
\non_function{}
\title{Swiss banknote data}
\description{
Six measurements made on 100 genuine
Swiss banknotes and 100 counterfeit ones.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Length}{
 Length of bill, mm
    }
    \item{Left}{
 Width of left edge, mm
    }
    \item{Right}{
 Width of right edge, mm
    }
    \item{Bottom}{
 Bottom margin width, mm
    }
    \item{Top}{
 Top margin width, mm
    }
    \item{Diagonal}{
 Length of image diagonal, mm
    }
    \item{Y}{
 0 = genuine, 1 = counterfeit
    }
 }
}

\source{
Flury, B. and Riedwyl, H. (1988). \emph{Multivariate Statistics: A practical approach.} London: Chapman & Hall.}
\references{Weisberg, S. (2005).  \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 12.5.}
\examples{
data(banknote)
}
\keyword{datasets}

\eof
\name{bctrans}
\alias{bctrans}
\alias{bctrans1}
\alias{lrt.bctrans}
\alias{print.bctrans}
\title{ Univariate and multivariate transformations to normality }
\description{
Estimates multivariate power transformations to multinormality 
by a maximum likelihood-like method. The univariate case is obtained when only 
one variable is specified. 
}
\usage{
bctrans(formula, data = NULL, subset, na.action = na.omit, ...)

## Use when you have a matrix or data.frame:
bctrans1(X, Y = NULL, start = NULL, family = "box.cox", call=NULL,...) 

## S3 methods for class 'bctrans'
lrt.bctrans(object, lrt=NULL, ones=TRUE, zeroes=TRUE)
}
\arguments{
\item{formula}{A formula, giving the variables to be transformed. 
The formula can be \emph{one-sided},
of the form \code{~ X1+X2+X3}, or \emph{two-sided}, of
the form \code{Y~X1+X2+X3}.  In the latter case, the response is not 
used in the
transformation, but it will be used in the \code{plot} method.  If you
have previously computed a linear model fit, say \code{m1}, then you
can use \code{formula(m1)} to provide this argument.}
\item{data}{a data.frame (or list) from which the variables in the formula
          should be taken.}
\item{subset}{an optional vector specifying a subset of observations to be used.}
\item{na.action}{If set to na.omit, the default, missing values are permitted.  If
set to na.fail, missing values are  not permitted.}
\item{...}{In bctrans, these are additional arguments passed to \code{bctrans1},
and described below. In bctrans1, these are additional arguments passed
to the function maximizer \code{optim}.} 
\item{X}{A vector, matrix, or data frame whose
columns are to be transformed.}
\item{Y}{If present this vector will be part of the object created, and will
be used in drawing plots.  It is not used for finding transformations.}
\item{start}{Starting values for the power transformation parameters; 
if NULL (the default), univariate transformations will be computed and 
used as the start values. }
\item{family}{The family of transformations.  The most common is \code{"box.cox"}
  for the Box-Cox transformation.  The \code{"yeo.johnson"} transformations are used
  if some elements of X are negative or zero.  The family \code{"power"} is used only
  in the \code{plot.bctrans} and \code{add.trans} functions to give basic power
  transformations, which can't be normalized to have Jacobian one.  The argument
  lambda indexes the family of transformations \eqn{\psi(X,\lambda)}{psi(X,lambda)}}
\item{object}{In \code{lrt.bctrans}, the name of a \sQuote{bctrans} object.}
\item{lrt}{In the \code{lrt.bctrans} command, a list of vectors each of length equal
  to the number of columns in X.  A Likelihood ratio test that the transformation
  parameters equal each of these vectors will be performed.}
\item{ones}{In \code{lrt.bctrans}, if TRUE test all the transformation parameters equal to
  one against a general alternative.}
\item{zeroes}{In \code{lrt.bctrans}, if TRUE test all the transformation parameters equal to
  zero against a general alternative.}
\item{call}{Not to be set by the user.}
}
\details{
Given a matrix \eqn{X}{X} with columns 
\eqn{X_1\ldots,X_p}{X1, ..., Xp}, this routine selects transformation 
parameters \eqn{\lambda_1,\ldots,\lambda_p}{lambda1,...,lambdap} 
from a one-parameter family of transformations such 
that the transformed variables 
\eqn{\psi(X_1,\lambda_1),\ldots,\psi(X_p,\lambda_p)}{psi(X1,lambda1),\dots,psi(Xp,lambdap)}
are as close to multivariate normal as possible.

The function uses the family of transformation you specify. 
If you use the family \code{box.cox} to select a transformation,
it is usual to use standard power transformations in further calculations.
}
\value{
  \code{bctrans} returns an object of class \code{bctrans},
  which may be printed or summarized.  It is a list with components \code{X} containing
  the input data, \code{family} the family used, \code{start} the starting values, and, 
  \code{optim}, the
  results from a call to \code{\link{optim}}, the function optimizer used in the 
  routine.
}
\references{
Box, G. E. P. and Cox, D. R. (1964) An analysis of transformations. \emph{Journal
of the Royal Statisistical Society, Series B}. 26 211-46.

Cook, R. D. and Weisberg, S. (1999).  \emph{Applied Regression Including Computing
and Graphics}.  Wiley.

Fox, J. (2002).  \emph{R and S-Plus Companion to Applied Regression}.  Sage. 

Velilla, S. (1993).  A note on the multivariate Box-Cox transformation to 
normality.  \emph{Statistics and Probability Letters}, 17, 259-263.

Weisberg, S. (2005) \emph{Applied Linear Regression}, third edition. Wiley.

Yeo, I. and Johnson, R. (2000).  A new family of
power transformations to improve normality or symmetry.  
\emph{Biometrika}, 87, 954-959.

}
\author{ A substantial part of this code is borrowed from the function
\code{box.cox.powers} in the \code{car} package, written by John Fox, and documented in
Fox (2002).  It is based on a similar function in Arc; see Cook and Weisberg (1999).
It was modified by Sanford Weisberg, \email{sandy@stat.umn.edu} and renamed 
\code{bctrans}. }

\seealso{
\code{\link{powtran}},
\code{\link{optim}},
\code{\link{pairs}},
%\code{\link{scatterplot.matrx}},
\code{\link{inv.res.plot}},
\code{\link{plot.bctrans}}
 }
\examples{
data(highway)
b <- highway[,c(8,1,2,10,5)] # select interesting columns
summary(ans <- bctrans1(b,family="yeo.johnson")) # zeros ==> use yeo.johnson
# or, compute using a formula and get the same answer.
summary(ans2 <- bctrans(~Len+ADT+Trks+Shld+Sigs,data=highway,family="yeo.johnson"))
# or, first fit an lm, and extract the formula
m1 <- lm(Rate~Len+ADT+Trks+Shld+Sigs,data=highway)
summary(ans3 <- bctrans(formula(m1),data=highway,family="yeo.johnson"))
# work with the response
b$Sigs <- (round(b$Sigs*b$Len)+1)/b$Len # redefine so no zeroes
summary(ans <- bctrans1(b)) # fit with box.cox
lrt.bctrans(ans,lrt=list(c(0,0,-1,1,0)))
plot(ans,family="power") # plot, but use ordinary powers
b <- cbind(b,powtran(ans)) # add transformed variables to data frame
}
\keyword{ models }% at least one, from doc/KEYWORDS
\keyword{ regression }% __ONLY ONE__ keyword per line

\eof
\name{blowdown}
\alias{blowdown}
\alias{blowAPB}
\alias{blowBF}
\non_function{}
\title{Blowdown data}
\description{
Data from the Boundary Waters Canoe Area Wilderness Blowdown.  The data frame blowdown
includes nine species of trees,
blowAPB gives data for aspen and
paper birch, while 
blowBF gives data for Balsam Fir only.
}
\format{This data frame contains the following columns:
 \describe{
    \item{D}{
Tree diameter, in cm
    }
    \item{S}{
 Proportion of basal area killed for the four species BF, C, PB, BS, a measure of
 local severity of the storm.
    }
    \item{y}{
 1 of the tree died, 0 if it survived
    }
    \item{SPP}{
BF= balsam fir, BS= black spruce, C= cedar, JP= jackpine, PB= paper birch,
RP= red pine, RM= red maple, BA = black ash, A= aspen.
    }
 }
}
\details{}
\source{Roy Rich}
\examples{
data(blowBF)
}
\references{
S. Weisberg (2005).  \emph{Applied Linear Regression}, third edition.  New York:  Wiley.
}
\keyword{datasets}

\eof
\name{boot.case}
\alias{boot.case}
\alias{boot.case.default}
\alias{boot.case.nls}
\alias{next.boot}
\alias{next.boot.default}
\alias{next.boot.nls}
\title{ Case bootstrap for regression models }
\description{
This routine does a case bootstrap resampling for regression models.  It
returns a matrix of the estimated coefficients from each of the bootstrap samples.
}
\usage{
boot.case(object, f=coef, B=999)
next.boot(object,sample)
}
\arguments{
  \item{object}{ Any regression object that works with \code{update} and with
the \code{subset} argument to \code{update}. }
  \item{f}{A function that will be applied to the updated regression object to compute
  the statistics of interest.  The default is \code{coef}, to return to regression
  coefficient estimates.}
  \item{B}{Number of bootstrap samples.}
  \item{sample}{A permutation of the integers from 1 to n that defines a
  bootstrap sample.}
}
\details{
This routine does the case-bootstrap described in the reference below.  Begin with a 
regression object.  For each of B bootstrap samples, sample the rows of the data matrix
with replacement, and recompute and save estimates.  For nls objects there may be
convergence problems in the bootstrap.  The routine will continue until convergence
is attained B times, or until there are 25 consecutive failures to converge. 
next.boot is an internal function that will update a model correctly, depending
on the class of the model object.
}
\value{
A matrix with B rows and rank(object) columns giving the bootstrap estimates.  These
can be summarized as needed using standard R/S-plus tools.
}
\references{
S. Weisberg (2005). \emph{Applied Linear Regression}, third edition.  New York:  Wiley,
Chapters 4 and 11.}
\author{ Sanford Weisberg, \email{sandy@stat.umn.edu}.  The error checking was written by
Lexin Li.}

\seealso{See Also  \code{\link{update}}}


\examples{
data(transact)
m1 <- lm(Time~ T1 + T2, data=transact)
betahat <- coef(m1)
betahat.boot <- boot.case(m1,B=99) # 99 bootstrap samples--too small to be useful
summary(betahat.boot)  # default summary
# bootstrap standard errors 
apply(betahat.boot,2,sd)
# bootstrap 95% confidence intervals
cl <- function(x) quantile(x,c(.025,.975))
apply(betahat.boot,2,cl)

}
\keyword{regression}% at least one, from doc/KEYWORDS
\keyword{internal}% __ONLY ONE__ keyword per line

\eof
\name{brains}
\alias{brains}
\docType{data}
\non_function{}
\title{Mammal brain weights}
\description{
The data provided gives the average body weight in kilograms and the average brain weight in grams for sixty-two species of mammals.}

\format{This data frame contains the following columns:
 \describe{
    \item{Case.names}{
Species name. 
    }
    \item{BrainWt}{
Brain weight, grams 
    }
    \item{BodyWt}{
Body weight, kg 
    }
 }
}

\source{Allison, T. and Cicchetti, D. (1976). Sleep in mammals: Ecology and constitutional correlates. \emph{Science}, 194, 732-734.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition.  New York: Wiley, Section 7.1.}
\examples{
data(brains)
}
\keyword{datasets}

\eof
\name{cakes}
\alias{cakes}
\docType{data}
\title{Cakes data}
\description{
Oehlert (2000, Example 19.3) provides data from a small experiment on baking packaged cake mixes.
}
\usage{data(cakes)}
\format{
  A data frame with 14 observations on the following 4 variables.
  \describe{
    \item{block}{a numeric vector}
    \item{X1}{Baking time, minutes}
    \item{X2}{Baking temperature, degrees F}
    \item{Y}{Palatability score}
  }
}

\source{
 Oehlert, G. W. (2000).  \emph{A First Course in Design and Analysis of Experiments}. New York:  Freeman.
}
\references{
Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 6.1.1.  
}
\examples{
data(cakes)
lm(Y~X1+X2+I(X1^2)+I(X2^2)+X1:X2, data=cakes)

}
\keyword{datasets}

\eof
\name{cathedral}
\alias{cathedral}
\docType{data}
\non_function{}
\title{Cathedrals}
\description{
Heights and lengths of Gothic and Romanesque cathedrals.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Type}{
Romanesque or Gothic
    }
    \item{Height}{
Total height, feet 
    }
    \item{Length}{
Total length, feet 
    }
    \item{Cathedral}{
Name of the Cathedral
    }
 }
}

\source{Stephen Jay Gould}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.7.}
\examples{
data(cathedral)
}
\keyword{datasets}

\eof
\name{caution}
\alias{caution}
\non_function{}
\docType{data}
\title{Caution data}
\description{
Artificial data to illustrate problems with residual plots.  
}
\format{This data frame contains the following columns:
 \describe{
    \item{x1}{
Artificial data item.
    }
    \item{x2}{
Artificial data item.
    }
    \item{y}{
Artificial data item.
    }
 }
}

\source{
R. D. Cook and S. Weisberg (1999), Graphs in statistical analysis:  Is
the medium the message? \emph{American Statistician,}  53, 29-37.}
\references{Weirsbeg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 8.1.5.}
\examples{
data(caution)
}
\keyword{datasets}

\eof
\name{challeng}
\alias{challeng}
\docType{data}
\non_function{}
\title{Challenger data}
\description{
Contains data from the performance of O-rings in 23 U.S. space shuttle flights prior to the Challenger disaster of January 20, 1986.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Temp}{
 Air Temp at launch (degrees F)
    }
    \item{Pres}{
 Leak check pressure
    }
    \item{Fail}{
 Number of O-rings that failed
    }
    \item{n}{
 6, number of O-rings in launch
    }
    \item{Erosion}{
 Number of erosion incidents
    }
    \item{BlowBy}{
 Number of blowby incidents
    }
    \item{Damage}{
 Total Damage Index
    }
    \item{ID}{
 ID name of launch
    }
    \item{Date}{
 date of flight
    }
 }
}

\source{
Dalal, S, Fowlkes, E. B. and Hoadley, B. (1989),
Risk analysis of the space shuttle:  Pre-challenger prediction of
failure, \emph{Journal of the American Statistical Association}, 84, 945-957.
See also Tufte, E. R. (1997), \emph{Visual and statistical Thinking:  Displays of
evidence for making decisions}, Cheshire, CT:  Graphics Press.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 12.6.}
\examples{
data(challeng)
}
\keyword{datasets}

\eof
\name{chloride}
\alias{chloride}
\docType{data}
\title{Chloride data}
\description{
Seasonal variation in chloride level in marshes close to a road or distant from the road, in Minnesota.
}
\usage{data(chloride)}
\format{
  A data frame with 32 observations on the following 4 variables.
  \describe{
    \item{Marsh}{March number}
    \item{Type}{a factor with levels \code{Isolated} and \code{Roadside}}
    \item{Month}{Month (4 = May, ... 10 = October)}
    \item{Cl}{Chloride concentration, mg/liter}
  }
}
\source{
Stefanie Miklovic and Susan Galatowitsch
}
\references{Weisberg, S. (2005). \emph{Applied Linnear Regression}, 3rd edition. New York: Wiley, Section 6.5.}
\examples{
data(chloride)
library(nlme) # Use the mixed-effects package
# Fit a random coefficients model
summary(m1 <- lme(Cl~Month+Type, data=chloride, random=~1|Marsh))
}
\keyword{datasets}

\eof
\name{cloud}
\alias{cloud}
\docType{data}
\non_function{}
\title{Florida area cumulus experiment, FACE I.}
\description{
The data summarize the results of the first Florida Area Cumulus Experiment, or FACE-1, designed to study the effectiveness of cloud seeding to increase rainfall in a target area (Woodley, Simpson, Biondini, and Berkley, 1977).
}
\format{This data frame contains the following columns:
 \describe{
    \item{A}{
 Action, 1=seed, 0=do not seed
    }
    \item{D}{
 Day after June 16, 1975
    }
    \item{S}{
 Suitability for seeding
    }
    \item{C}{
 percent cloud cover in experimental area, measured using radar in Coral Gables, Florida
    }
    \item{P}{
 \eqn{10^7 m^3} prewetness
    }
    \item{E}{
 echo motion category, either 1 or 2, a measure for type of cloud
    }
    \item{Rain}{
 \eqn{10^7 m^3} in target area
    }
 }
}

\source{Woodley, W.L., Simpson, J., Biondini, R., and Berkley, J. (1977). Rainfall results 1970-75: Florida area cumulus experiment. \emph{Science}, 195, 735-742.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 9.17.}
\examples{
data(cloud)
}
\keyword{datasets}

\eof
\name{conf.intervals}
\alias{conf.intervals}
\alias{conf.intervals.default}
\alias{conf.intervals.lm}
\title{Compute marginal confidence intervals for regression estimates}
\description{
Thus function computes confidence intervals coefficient estimates
for a regression object.
}
\usage{
conf.intervals(object,level=.95,f=qnorm((1-level)/2))
}
\arguments{
  \item{object}{A regression object}
  \item{level}{one minus significance level, default = .95}
  \item{f}{multiplier for the intervals.  For \code{conf.intervals.default}, the
default choice of \code{f} is \code{qnorm((1-level)/2)}, using the normal distribution
to get intervals, and t-intervals for \code{conf.invtervals.lm}.
  }
}

\value{
  Returns a matrix, with one row for each estimated parameter, and three 
  columns, the first giving the coefficient estimate, then the
  lower limit of the confidence interval, 
  and then the upper limit.}
}
\author{Sanford Weisberg, sandy@stat.umn.edu}

\examples{
data(forbes)
m1 <- lm(Lpres ~ Temp, data = forbes)
conf.intervals(m1, level = .95) # .95 is the default.
}
\keyword{ regression }% at least one, from doc/KEYWORDS

\eof
\name{delta.method}
\alias{delta.method}
\alias{delta.method.default}
\alias{delta.method.nls}
\alias{compute.delta.method}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Standard error of a nonlinear function of regression 
coefficients}
\description{
These functions use the delta method to get a first-order approximate 
standard error for a nonlinear function of a vector of random variables
with known or estimated covariance matrix.
}
\usage{
delta.method(object, g, parameter.prefix="b")
compute.delta.method(Var, g, values, para.name, print=TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{object}{A regression object of type lm, aov, glm or nls.  More
  generally, object can be any object for which \code{vcov(object)} returns
  a covariance matrix and \code{coef(object)} returns a vector of parameter
  estimates. }
  \item{g}{A quoted string that is the nonlinear function to be
  evaluated; see the details below. }
  \item{values}{The estimated values of the parameters.}
  \item{para.name}{Names of the parameters, as used in the expression
  \code{g}.}
  \item{parameter.prefix}{If \code{para.name} is not set, then parameter names will
  be generated to be the \code{parameter.prefix} followed by a number.  See details
  below.}
  
  \item{Var}{Estimated or population covariance matrix of the estimates}
  \item{print}{If TRUE, print estimates, else return a list}
}

\details{The delta method computes the estimate and large-sample standard
error of a nonlinear function of parameter estimates.  Suppose the names of
the parameters are \dQuote{b0}, \dQuote{b1},...,\dQuote{bp}, as would be the
case for an object of type \code{lm} or \code{glm} with parameter.prefix
left at its default value of \dQuote{b}.

If the value of \code{g} were
\code{"(b2+b6*350)/(4*b4)"}, then the function delta.method would extract
the coefficient estimates from \code{object}, and the covariance matrix from
\code{object}, and  pass them to \code{compute.delta.method}.

For compute.delta.method, the vector values of length \eqn{p}{p} has estimated
covariance matrix \eqn{V}{V}, a \eqn{p\times p}{p by} p matrix.  \code{g} 
is an expression of the form
\code{"(b2+b6*350)/(4*b4)"} that gives the function of values to be evaluated.
The routine evaluates \code{g} at the parameter values, and then computes \eqn{\dot{g}}{g'},
the derivative 
of \eqn{g}{g} with respect to the parameter names, also evaluated at the values,
and then computes the standard error, 
\deqn{[(\dot{g})'(\mbox{Var}) \dot{g}]^{1/2}}{(t(g') (Var) g')^(1/2)}

\code{delta.method} calls \code{compute.delta.method}, which can be used directly by
providing the nonlinear function, its values, and its estimated covariance matrix.
}

\value{
  \item{Estimate }{estimate of g}
  \item{se }{Standard error of g}
  \item{func}{g}
}
\references{S. Weisberg (2005), \emph{Applied
Linear Regression}, third edition, Wiley, Section 6.1.2}
\author{Sanford Weisberg, \email{sandy@stat.umn.edu}}

\examples{
# cakes is a data frame with response Y, predictors X1 X2 
data(cakes) 
m1 <- lm(Y~ X2 + I(X2^2), data = cakes) # quadratic polynomial
delta.method(m1, "-b1/(2*b2)") # X2 that maximizes the quadratic
# second order polynomial in two predictors:
m2 <- lm(Y ~ X1 + X2 + I(X1^2) + I(X2^2) + X1:X2, data=cakes)
# Find X1 to maximize Y when X2=350:
delta.method(m2,"(b1+b5*350)/(-2*b3)")
}
\keyword{ models }% at least one, from doc/KEYWORDS
\keyword{ regression }

\eof
\name{domedata}
\alias{domedata}
\alias{domedata1}
\docType{data}
\title{Metrodome fan experiment}
\description{
These files give the results of two experiments to see if manipulating the air conditioning fans
in the Minneapolis metrodome can effect the distance travelled by a baseball.  The data in domedata
were collected in April 2003.  The experiment was repeated in May 2003 and domedata1 gives the
combined data from the two experiments.
}
\usage{data(domedata1)}
\format{
  A data frame with 96 observations on the following 7 variables.
  \describe{
    \item{Date}{a factor with levels \code{March}- \code{May}}
    \item{Cond}{a factor with levels \code{Headwind}, \code{Tailwind}}
    \item{Angle}{the actual angle}
    \item{Velocity}{in feet per second}
    \item{BallWt}{weight of ball in grams}
    \item{BallDia}{diameter of ball in inches}
    \item{Dist}{distance in feet of the flight of the ball}
  }
}

\source{
 Ivan Marusic
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.21.}
\examples{
data(domedata1)
}
\keyword{datasets}

\eof
\name{donner}
\alias{donner}
\non_function{}
\docType{data}
\title{Donner party}
\description{
The Donner Party was the most famous tragedy in the history of the
westward migration in the United States.  In the winter of 1846-47,
abount ninety wagon train emigrants were unable to cross the Sierra
Nevada Mountains of California before winter, and almost one-half starved
to death.  Perhaps because they were ordinary people -- farmers,
merchants, parents, children.
These data include some information about each of the members of the party
from Johnson (1996).}
\format{This data frame contains the following columns:
 \describe{
    \item{Age}{
 Approximate age in 1846
    }
    \item{Outcome}{
 1 if survived, 0 if died
    }
    \item{Sex}{
 Male or Female
    }
    \item{Family.name}{
 Either a family name, hired or single
    }
    \item{Name}{
 Name of Person
    }
    \item{Status}{
 Family, single or hired
    }
 }
}

\source{Johnson, K. (1996). \emph{Unfortunate Emigrants: Narratives of the
Donner Party.} Logan, UT: Utah State University Press, 
\url{http://www.metrogourmet.com/crossroads/KJhome.htm}.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 12.4.}
\examples{
data(donner)
}
\keyword{datasets}

\eof
\name{downer}
\alias{downer}
\non_function{}
\docType{data}
\title{Downer data}
\description{
For unknown reasons, some dairy cows become recumbant--they lay
down.  This condition can be serious,
and may lead to death of the cow.  These data are from a study of
blood samples of over 500 cows studied at the Ruakura (N.Z.) Animal Health
Laboratory during 1983-84.  A variety of blood tests were performed, and for
many of the animals the outcome (survived, died, or animal was killed)
was determined.  The goal is to see if survival can be predicted from the
blood measurements.
Case numbers 12607 and 11630 were noted as having exceptional care---and
they survived.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Calving}{
 0 if measured before calving, 1 if after
    }
    \item{Daysrec}{
 Days recumbent
    }
    \item{CK}{
 Serum creatine phosphokinase (U/l at 30C)
    }
    \item{AST}{
 serum asparate amino transferase (U/l at 30C)
    }
    \item{Urea}{
 serum urea (mmol/l)
    }
    \item{PCV}{
 Packed Cell Volume (Haemactocrit), %
    }
    \item{Inflamat}{
 inflamation 0=no, 1=yes
    }
    \item{Myopathy}{
 Muscle disorder, 1 if present, 0 if absent
    }
    \item{Outcome}{
 outcome:  1 if survived, 0 if died or killed
    }
 }
}

\source{
Clark, R. G., Henderson, H. V., Hoggard, G. K. Ellison, R. S. and Young,
B. J. (1987).  The abiltiy of biochemical and haematolgical
tests to predict recovery in periparturient recumbent cows.
\emph{NZ Veterinary Journal}, 35, 126-133.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 12.1.}
\examples{
data(downer)
}
\keyword{datasets}

\eof
\name{drugcost}
\alias{drugcost}
\non_function{}
\docType{data}
\title{Drug cost.}
\description{
These data are to try to understand the effect of health plan characteristics
on drug costs.  Health plans vary in size, given as member months.  Some plans
use generic drugs more than others.  All differ on copayments.  Some have
strong restrictions on which drugs can be dispensed
value of RI=0 means that all drugs are dispensed, RI=100 means that only
one per category is avaiable.  The goal is to determine the terms that are
related to cost, and in particular to understand the role of GS and RI in
determining cost.
}
\format{This data frame contains the following columns:
 \describe{
    \item{COST}{
 Ave. cost to plan for 1 prescription for 1 day
    }
    \item{RXPM}{
 Number of prescriptions per member per year
    }
    \item{GS}{
 Percent generic substitution, number between 0 (no substitution) to 100 (always use generic substitute)
    }
    \item{RI}{
 Restrictiveness index (0=none, 100=total)
    }
    \item{COPAY}{
 Average Rx copayment
    }
    \item{AGE}{
 Average age of member
    }
    \item{F}{
 Percent female members
    }
    \item{MM}{
 Member months, a measure of the size of the plan
    }
    \item{ID}{
 Plan name
    }
 }
}

\source{Mark Siracuse}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 9.15.}
\examples{
data(drugcost)
}
\keyword{datasets}

\eof
\name{dwaste}
\alias{dwaste}
\non_function{}
\docType{data}
\title{Crock data.}
\description{
An experiment was conducted to study the \emph{O2UP}, oxygen uptake in milligrams of oxygen per minute, given five chemical measurements: biological oxygen demand (BOD), total Kjeldah nitrogen (TKN), total solids (TS), total vital solids (TVS), which is a component of TS, and chemical oxygen demand (COD), each measured in milligrams per liter (Moore, 1975).
}
\format{This data frame contains the following columns:
 \describe{
    \item{Day}{Day number
 
    }
    \item{BOD}{Biological oxygen demand
 
    }
    \item{TKN}{Total Kjeldahl nitrogen
 
    }
    \item{TS}{Total Solids
 
    }
    \item{TVS}{
    Total volatile solids  
 
    }
    \item{COD}{Chemical oxygen demand
 
    }
    \item{O2UP}{Oxygen uptake
 
    }
 }
}

\source{Moore, J. (1975). Total Biomedical Oxygen Demand of Animal Manures. Unpublished Ph. D. disseration, University of Minnesota.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 10.6}
\examples{
data(dwaste)
}
\keyword{datasets}

\eof
\name{florida}
\alias{florida}
\docType{data}
\title{Florida presidential election}
\description{
County-by-county vote for president in Florida in 2000 for Bush, Gore and Buchanan.
}
\usage{data(florida)}
\format{
  A data frame with 67 observations on the following 4 variables.
  \describe{
    \item{County}{County name}
    \item{Gore}{Vote for Gore}
    \item{Bush}{Vote for Bush}
    \item{Buchanan}{Vote for Buchanan}
  }
}
\source{
http://www.abcnews.go.com.sections/politics/2000vote/general/FL\_county.html
}
\references{
Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 9.10.
}
\examples{
data(florida)
## maybe str(florida) ; plot(florida) ...
}
\keyword{datasets}

\eof
\name{forbes}
\alias{forbes}
\docType{data}
\non_function{}
\title{Forbes data}
\description{
The data consists of 17 pairs of numbers corresponding
to observed boiling point and corrected barometric pressure, at locations in
the Alps.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Temp}{Adjusted boiling point of water in degrees F.
 
    }
    \item{Pressure}{Atmospheric pressure, in inches of Mercury
 
    }
    \item{Lpres}{100 times log(Pressure)
 
    }
 }
}

\source{
Forbes, J. (1957). Further experiments and remarks on the measurement of heights and boiling point of water. \emph{Transactions of the Royal Society of Edinburgh}, 21, 235-243.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 1.1.}
\examples{
data(forbes)
}
\keyword{datasets}

\eof
\name{ftcollinssnow}
\alias{ftcollinssnow}
\non_function{}
\docType{data}
\title{Ft. Collins snowfall}
\description{
Monthly snowfall data for Fort Collins, CO, 1900-01 to 1992-93
}
\format{This data frame contains the following columns:
 \describe{
    \item{YR1}{
Year corresponding to the September to December data 
    }
    \item{Early}{
September to December snowfall, inches
    }
    \item{Late}{
January to June snowfall, inches
    }
 }
}

\source{http://www.ulysses.atmos.colostate.edu}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 1.1.}
\examples{
data(ftcollinssnow)
}
\keyword{datasets}

\eof
\name{fuel2001}
\alias{fuel2001}
\non_function{}
\docType{data}
\title{Fuel consumption}
\description{
Data on motor fuel consumption and related variables, for the year 2001.
The unit is a state in the
United States or the District of Columbia.  Data are for 2001, unless noted.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Drivers}{
 Number of Licensed drivers in the state
    }
    \item{FuelC}{
 Gasoline sold for road use (1000s of gal.)
    }
    \item{Income}{
 Per capita personal income (year 2000)
    }
    \item{Miles}{
 Miles of Federal-aid highway miles in the state
    }
    \item{MPC}{
 Estimated miles driven per capita
    }
    \item{Pop}{
 Population age 16 and over
    }
    \item{Tax}{
 Gasoline state tax rate, cents per gallon
    }
    \item{State}{
 State name
    }
 }
}
\source{
http://www.fhwa.dot.gov/ohim/hs01/index.htm}

\references{
Weisberg, S. (2005). \emph{Applied Linear Regression}, third edition.  New
York:  Wiley.}

\examples{
data(fuel2001)
fuel2001$Dlic <- 1000*fuel2001$Drivers/fuel2001$Pop
fuel2001$Fuel <- 1000*fuel2001$FuelC/fuel2001$Pop
fuel2001$Income <- fuel2001$Income/1000
fuel2001$logMiles <- log(fuel2001$Miles,2)
pairs(Fuel~Tax+Dlic+Income+logMiles,data=fuel2001)
}
\keyword{datasets}

\eof
\name{galapagos}
\alias{galapagos}
\non_function{}
\docType{data}
\title{Galapagos species data}
\description{
Johnson and Raven (1973) have presented data giving the number of species and related variables for 29 different islands in the Galapagos Archipelago.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Island}{
 Island name
    }
    \item{NS}{
 Number of Species
    }
    \item{ES}{
 Number of endemic species (orrur only on that island)
    }
    \item{Area}{
 Surface area of island, hectares
    }
    \item{Anear}{
 Area of closest island, hectares
    }
    \item{Dist}{
 Distance to closest island, km
    }
    \item{DistSC}{
 Distance from Santa Cruz Island, km
    }
    \item{Elevation}{
 Elevation in m, missing values given as zero
    }
    \item{EM}{
 1 if elevation is observed, 0 if missing
    }
 }
}

\source{Johnson, M.P., and Raven, P.H. (1973). Species number and endemism: The Galapagos Archipelago revisited. \emph{Science}, 179, 893-895.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 10.8.}
\examples{
data(galapagos)
}
\keyword{datasets}

\eof
\name{galtonpeas}
\alias{galtonpeas}
\non_function{}
\docType{data}
\title{Galton's peas}
\description{
In a paper presented to the Royal Institute on February 9, 1877, Sir Francis Galton discussed his experiments on sweet peas in which he compared the sweet peas produced by parent plants to those produced by offspring plants. In these experiments he could observe inheritance from one generation to the next. Galton categorized the parent plants according to the typical diameter of the peas they produced.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Parent}{
 mean diameter of parent
    }
    \item{Progeny}{
 mean diameter of offspring
    }
    \item{SD}{
 offspring standard deviation
    }
 }
}

\source{Pearson, K. (1930). \emph{Life and Letters and Labours of Francis Galton}, Vol IIIa. Cambridge: Cambridge University Press.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 5.1.}
\examples{
data(galtonpeas)
}
\keyword{datasets}

\eof
\name{heights}
\alias{heights}
\docType{data}
\non_function{}
\title{Pearson-Lee data}
\description{
Karl Pearson organized the collection
of data on over 1100 families in England in the period 1893 to 1898. This
particular data set gives the heights in inches of mothers and their
daughters, with up to two daughters per mother.  All daughters are at least
age 18, and all mothers are younger than 65.  Data were given in the source
as a frequency table to the nearest inch.
Rounding error has been added to remove discreteness from graph.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Mheight}{
 Mother's ht, in.
    }
    \item{Dheight}{
 Daughter's ht, in.
    }
 }
}

\source{
K. Pearson and  A. Lee (1903), On the laws of inheritance
in man, \emph{Biometrika}, 2, 357--463, Table 31.  
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 1.1.}
\examples{
data(pearlee1)
}
\keyword{datasets}

\eof
\name{highway}
\alias{highway}
\non_function{}
\docType{data}
\title{Highway accidents}
\description{
The data comes from a unpublished master's paper by Carl Hoffstedt. They relate the automobile accident rate, in accidents per million vehicle miles to several potential terms.  The data include 39 sections of large highways in the state of Minnesota in 1973.  The goal of this analysis was to understand the impact of design variables, Acpts, Slim, Sig, and Shld that are under the control of the highway department, on accidents.
}
\format{This data frame contains the following columns:
 \describe{
    \item{ADT}{
 average daily traffic count in thousands
    }
    \item{Trks}{
 truck volume as a percent of the total volume
    }
    \item{Lane}{
 total number of lanes of traffic
    }
    \item{Acpt}{
 number of access points per mile
    }
    \item{Sigs}{
 number of signalized interchanges per mile
    }
    \item{Itg}{
 number of freeway-type interchanges per mile
    }
    \item{Slim}{
 speed limit in 1973
    }
    \item{Len}{
 length of the highway segment in miles
    }
    \item{Lwid}{
 lane width, in feet
    }
    \item{Shld}{
 width in feet of outer shoulder on the roadway
    }
    \item{Hwy}{An indicator of the type of roadway or the source of funding
    for the road;
 0 if MC, 1 if FAI, 2 if PA, 3 if MA
    }
    \item{Rate}{
 1973 accident rate per million vehicle miles
    }
 }
}

\source{Carl Hoffstedt}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 7.2.}
\examples{
data(highway)
}
\keyword{datasets}

\eof
\name{hooker}
\alias{hooker}
\non_function{}
\docType{data}
\title{Hooker's data}
\description{
In his original paper, Forbes provided additional data collected by the botanist Dr. Joseph Hooker on temperatures and boiling points measured often at higher altitudes in the Himalaya Mountains.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Temp}{
Measured boiling temperature, degrees F. 
    }
    \item{Pressure}{
Measured air pressure, inches of Mercury. 
    }
 }
}

\source{Forbes, J. (1957). Further experiments and remarks on the measurement of heights by boiling point of water. \emph{Transactions of the Royal Society of Edinburgh}, 21, 235-243.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 2.2.4.}
\examples{
data(hooker)
}
\keyword{datasets}

\eof
\name{htwt}
\alias{htwt}
\non_function{}
\docType{data}
\title{Artificial height and weight data}
\description{
The data for this table are a sample size of ten 18-year old girls taken from the study that was conducted by Tuddenham and Snyder (1954).
}
\format{This data frame contains the following columns:
 \describe{
    \item{Ht}{
 Height (cm) at age 18
    }
    \item{Wt}{
 Weight (kg) at age 18
    }
 }
}

\source{Tuddenham, R., and Snyder, M. (1954). Physical growth of California boys and girls from birth to age 18. \emph{California Publications on Child Development}, 1, 183-364.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 2.1.}
\examples{
data(htwt)
}
\keyword{datasets}

\eof
\name{inf.index}
\alias{inf.index}
\alias{inf.index.lm}
\title{Influence index plot}
\description{
Provides index plots of Cook's distances,
leverages, Studentized residuals and outlier significance levels for a 
regression object.
}
\usage{
inf.index (m, cooks.distance = TRUE, rstudent = TRUE, outlier.t. test = TRUE, 
    leverages = TRUE, ...) 
    
inf.index(m,cooks.distance,rstudent,outlier.t.test,leverages,...)

inf.index.lm(m,cooks.distance=TRUE,rstudent=TRUE,
                           outlier.t.test=TRUE,leverages=TRUE,...)
}
\arguments{
  \item{m}{A regression object}
  \item{cooks.distance}{If TRUE, plot Cook's distances}
  \item{rstudent}{If TRUE, plot the Studentized residuals}
  \item{outlier.t.test}{If TRUE, index plot n*2*qt(-abs(rstandard),m\$df-1), the
two-tailed significance levels for the outlier test based on the Bonferroni
inequality}
  \item{leverages}{If TRUE, plot the leverages}
  \item{\dots}{Arguments passed to \code{plot}}
}

\value{
Used for its side effect of producing a graph.
}
\references{S. Weisberg (2005), \emph{Applied
Linear Regression}, third edition, Wiley, Chapter 8}
\author{Sanford Weisberg, \email{sandy@stat.umn.edu}}

\seealso{ \code{\link{cooks.distance}} }
\examples{
data(rat)
names(rat)
m1 <- lm(y~BodyWt+LiverWt+Dose,data=rat)
inf.index(m1)
}

\keyword{ hplot }% at least one, from doc/KEYWORDS
\keyword{ regression }% __ONLY ONE__ keyword per line

\eof
\name{inv.res.plot}
\alias{inv.res.plot}
\alias{inverse.response.plot}
%\alias{inverse.response.plot.formula}
\alias{inverse.response.plot.default}
\title{Inverse response plots to transform the response}
\description{
For a \code{lm} object, draws an inverse.response plot with the response \eqn{Y}{Y} on the
vertical axis and the fitted values \eqn{\hat{Y}}{Yhat}
on the horizontal axis.  Uses \code{nls} to
estimate  \eqn{\lambda}{lambda} in the function 
\eqn{\hat{Y}=b_0+b_1Y^{\lambda}}{Yhat = b0 + b1(Y)^(lambda)}.
Adds the fitted curve to the plot.
}
\usage{
inverse.response.plot(m, lambda=c(0,1),maxiter=100,xlab=NULL,...)

%inverse.response.plot.formula(m, data, subset, na.action,...)

inv.res.plot is an alias for inverse.response.plot.
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{m}{A lm regression object}
  \item{lambda}{A vector of values for lambda.  A plot will be produced 
  with curves corresponding to these lambdas and to the least squares 
  estimate of lambda}
  \item{xlab}{The horizontal axis label.  If NULL, it is constructed by the function.}
  \item{maxiter}{Passed to \code{nls}, the maximum number of iterations to
  be used to compute the optimal value of lambda}
%  \item{data}
%{See documentation for \code{\link{lm}}.}
%  \item{subset}
%{See documentation for \code{\link{lm}}.}
%  \item{na.action}
%{See documentation for \code{\link{lm}}.}
  \item{\dots}{Other arguments passed to \code{inv.tran.plot} and then to \code{plot}.}
}

\value{
As a side effect, a plot is produced with the response on the horizontal
axis and fitted values on the vertical axis.  
Several lines are added to be plot as
the ols estimates of the regression of \eqn{\hat{Y}}{Yhat} on
\eqn{Y^{\lambda}}{Y^(lambda)},
interpreting \eqn{\lambda}{lambda} = 0 to be natural logarithms.

Numeric output is a list with elements
  \item{lambda}{Estimate of transformation parameter for the response}
  \item{se }{Standard error of the estimate}
  \item{RSS}{The residual sum of squares at the minimum}
}
\seealso{\code{\link{inv.tran.plot}} and \code{\link{inv.tran.estimate}}, for which
this is just a convenient front-end, and \code{\link{nls}}.}

\references{S. Weisberg (2005), \emph{Applied
Linear Regression}, third edition, Wiley, Chapter 7}
\author{Sanford Weisberg, \code{sandy@stat.umn.edu}}

\examples{
data(highway)
highway$Sigs1 <- (round(highway$Sigs*highway$Len)+1)/highway$Len
attach(highway)
d <- data.frame(Rate=Rate,logLen=logb(Len,2),
                logADT=logb(ADT,2),logTrks=logb(Trks,2),
                Slim=Slim,Shld=Shld,logSigs1=logb(Sigs1,2))
attach(d)
m2 <- lm(Rate~logLen+logADT+logTrks+Slim+Shld+logSigs1,d)
inv.res.plot(m2,key=c(6,2))
}
\keyword{ hplot }% at least one, from doc/KEYWORDS
\keyword{ regression}

\eof
\name{inv.tran.plot}
\alias{inv.tran.plot}
\alias{inv.tran.estimate}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Choose a predictor transformation visually or numerically }
\description{
\code{inv.tran.plot}
draws a two-dimensional scatterplot of \eqn{Y}{Y} versus 
\eqn{X}{X}, along with the OLS
fit from the regression of \eqn{Y}{Y} on 
\eqn{(X^{\lambda}-1)/\lambda}{(Y^(lam)-1)/lam}.  \code{inv.tran.estimate}
find the nonlinear least squares estimate of \eqn{\lambda}{lambda} and its
standard error.
}
\usage{
inv.tran.plot(x,y,lambda=c(-1,0,1),lty=1:(1+length(lambda)),
        col=rainbow(length(lambda)+1),xlab=deparse(substitute(x)),
        ylab=deparse(substitute(y)),family="box.cox",optimal=TRUE,
        key=FALSE,...)

inv.tran.estimate(x,y,family="box.cox",...)
}

\arguments{
  \item{x}{The predictor variable }
  \item{y}{The response variable }
  \item{lambda}{The powers used in the plot.  The optimal power than minimizes
  the residual sum of squares is always added unless optimal is FALSE. }
  \item{family}{The transformation family to use, \code{"box.cox"},
  \code{"yeo.johnson"}, or a user-defined family.}
  \item{optimal}{Include the optimal value of lambda?}
  \item{lty}{line types corresponding to the powers}
  \item{col}{color corresponding to the powers}
  \item{key}{If TRUE, draw a key and use \code{\link{locator}}
  to find it; if FALSE do not draw a key.  If a vector of length 2, draw
  the upper left corner of the key at that point.}
  \item{xlab}{Label for the horizontal axis.}

  \item{ylab}{Label for the vertical axis.}

  \item{\dots}{ additional arguments passed to other methods.}
}
\value{
\code{inv.tran.plot}
  returns a graph and a data.frame with \eqn{\lambda}{lam} in the 
  first column, and the residual sum of squares from the regression
  for that \eqn{\lambda}{lam} in the second column.

  \code{inv.tran.estimate} returns a list with elements \code{lambda} for the
  estimate, \code{se} for its standard error, and \code{RSS}, the minimum
  value of the residual sum of squares.  
}
\seealso{\code{\link{powtran}}, \code{\link{inverse.response.plot}},
\code{\link{optimize}}, \code{\link{nls}}}

\references{
Weisberg, S. (2005).  \emph{Applied Linear Regression}, third edition.
New York:  Wiley. }
\author{Sanford Weisberg, \email{sandy@stat.umn.edu} }

\examples{
data(baeskel)
attach(baeskel)
inv.tran.plot(Sulfur,Tension,key=c(.6,450))
ans <-inv.tran.estimate(Sulfur,Tension)
# redraw the plot, including the nls estimate
inv.tran.plot(Sulfur,Tension,lambda=c(ans$lambda,-1,0,1),key=c(.6,450))
}    
\keyword{ hplot }% at least one, from doc/KEYWORDS
\keyword{regression}

\eof
\name{jevons}
\alias{jevons}
\non_function{}
\docType{data}
\title{Jevon's gold coin data}
\description{
In a study of coinage, W. Stanley Jevons weighed 274 gold sovereigns that he had collected from circulation in Manchester, England. For each coin, he recorded the weight, after cleaning, to the nearest .001 gram, and the date of issue.  The age classes are coded 1 to 5, roughly corresponding to the age of the coin in decades.  The standard weight of a gold sovereign was suppose to be 7.9876 grams; minimum legal weight was 7.9379 grams.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Age}{
Age of coins, decades 
    }
    \item{n}{
Number of coins 
    }
    \item{Weight}{
Average weight, grams 
    }
    \item{SD}{
Standard deviation. 
    }
    \item{Min}{
Minimum weight 
    }
    \item{Max}{
Maximum weight
    }
 }
}

\source{Stephen Stigler}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 5.6.}
\examples{
data(jevons)
}
\keyword{datasets}

\eof
\name{lakemary}
\alias{lakemary}
\non_function{}
\docType{data}
\title{Lake Mary bluegills}
\description{
78 bluegills were captured from Lake Mary, Minnesota.  On each fish, a
key scale was removed.  The age of a fish is determined by counting the
number of annular rings on the scale.  The goal is to relate length at
capture to the radius of the scale.  
}
\format{This data frame contains the following columns:
 \describe{
    \item{Age}{
 Years
    }
    \item{Length}{
 mm
    }
 }
}

\source{
Collected by Richard Frie, and discussed
in S. Weisberg (1986), A linear model approach to the backcalculation of
fish length, \emph{J. Amer. Statist. Assoc.}, 81, 922-929.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 11.2.1.}
\examples{
data(lakemary)
}
\keyword{datasets}

\eof
\name{lakes}
\alias{lakes}
\non_function{}
\docType{data}
\title{Lake zooplankton diversity}
\description{
These data give the number of known
crustacean zooplankton species for 69 world lakes.  Also included are a number
of characteristics of each lake.  There are missing values.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Species}{
 Number of zooplankton species
    }
    \item{MaxDepth}{
 Maximum lake depth, m
    }
    \item{MeanDepth}{
 Mean lake depth, m
    }
    \item{Cond}{
 Specific conductance, micro Siemans
    }
    \item{Elev}{
 Elevation, m
    }
    \item{Lat}{
 N latitude, degrees
    }
    \item{Long}{
 W longitude, degrees
    }
    \item{Dist}{
 distance to nearest lake, km
    }
    \item{NLakes}{
 number of lakes within 20 km
    }
    \item{Photo}{
 Rate of photosynthesis, mostly by the 14C method
    }
    \item{Area}{
 Lake area, in hectares
    }
    \item{Lake}{
 Name of Lake
    }
 }
}

\source{Dodson, S. (1992), Predicting curstacean zooplankton species
richness, \emph{Limnology and Oceanography}, 37, 848--856.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 8.12.}
\examples{
data(lakes)
}
\keyword{datasets}

\eof
\name{landrent}
\alias{landrent}
\non_function{}
\title{Land rent}
\description{
The data were collected by Douglas Tiffany to study the variation in rent paid in 1977 for agricultural land planted to alfalfa.
}
\format{This data frame contains the following columns:
 \describe{
    \item{X1}{
 average rent for all tillable land
    }
    \item{X2}{
 density of dairy cows (number per square mile)
    }
    \item{X3}{
 proportion of farmland used for pasture
    }
    \item{X4}{
 1 if liming required to grow alfalfa; 0 otherwise
    }
    \item{Y}{
 average rent per acre planted to alfalfa
    }
 }
}

\source{Douglas Tiffany}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 9.12.}
\examples{
data(landrent)
}
\keyword{datasets}

\eof
\name{lathe1}
\alias{lathe1}
\non_function{}
\docType{data}
\title{Lathe data}
\description{
These data are the results of an experiment to study the performance of
cutting-tool material in cutting steel on a lathe.  The two factors are
revolution speed and feed rate.  The response is tool life in minutes.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Feed}{
Coded feed rate, coded as (actual feed rate -13)/6.  Feed is in thousandths
of an inch per revolution.
    }
    \item{Speed}{
Coded speed, coded as (actual speed -900)/300.  Speed is in feet per minute.
    }
    \item{Life}{
Life of tool until failure, minutes 
    }
 }
}

\source{
M. R. Delozier
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.3.}
\examples{
data(lathe1)
}
\keyword{datasets}

\eof
\name{longley}
\alias{longley}
\non_function{}
\docType{data}
\title{Longley data}
\description{
Longley (1967) data to demonstrate inadequacies of regression computer programs then available.
}
\format{This data frame contains the following columns of national US data:
 \describe{
    \item{GNP}{
 GNP(millions of dollars)
    }
    \item{Def}{
 GNP deflator (percent)
    }
    \item{Unemp}{
 Unemployed (thousands)
    }
    \item{Mil}{
 Armed force size (thousands)
    }
    \item{Pop}{
 Population (thousands)
    }
    \item{Year}{
 Year 
    }
    \item{Emp}{
 Number employed (thousands)
    }
 }
}

\source{
Longley, J. (1967).  An appraisal of least squares programs for the
electronic computer from the point of view of the user.  \emph{J. Amer. Statist.
Assoc.}, 62, 819-41.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 4.10.}
\examples{
data(longley)
}
\keyword{datasets}

\eof
\name{mantel}
\alias{mantel}
\docType{data}
\title{ Mantel's artifical data for stepwise regression}
\description{
  An artificial data set suggested by N. Mantel to illustrate stepwise
  regression methods.
}
\usage{data(mantel)}
\format{
  A data frame with 5 observations on the following 4 variables.
  \describe{
    \item{Y}{the response}
    \item{X1}{predictor 1}
    \item{X2}{predictor 2}
    \item{X3}{predictor 3}
  }
}
\source{
 Mantel, N. (1970).
Why stepdown procedures in variable selection? 
\emph{Technometrics}, 12, 621--625.
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 10.2.}
\examples{
data(mantel)
}
\keyword{datasets}

\eof
\name{mile}
\alias{mile}
\docType{data}
\title{World records for the mile run}
\description{
  World record times for the mile run, 1861--2003.
}
\usage{data(mile)}
\format{
  A data frame with 46 observations:
  \describe{
    \item{Year}{Year in which the record was set}
    \item{Time}{Running time, in seconds}
    \item{Name}{Name of person setting the record}
    \item{Country}{Country of residence of the record setter}
    \item{Place}{Place the record was set}
    \item{Gender}{Gender of the record holder}
  }
}
\source{
Data source: \url{
http://www.saunalahti.fi/~sut/eng/
}
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.20.}
\examples{
data(mile)
}
\keyword{datasets}

\eof
\name{mmps}
\alias{mmps}
\alias{mmp}
\alias{mmp.lm}
\alias{mmp.glm}
\alias{marginal.model.plot}
\title{Marginal model plot }
\description{
For a regression object, plots the response on the vertical axis versus
a linear combination \eqn{u} of terms in the mean function on the horizontal
axis.  Added to the plot are a \code{loess} smooth for the graph, along with
a loess smooth from the plot of the fitted values on \eqn{u}.
}
\usage{
mmps(object,exclude=NULL,layout=NULL,ask,...)

mmp.lm(object, u = predict(object), mean = TRUE, sd = FALSE, 
   label = deparse(substitute(u)), degree = 1, span = 2/3, 
   colors = c("blue", "red"), ...)

}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{object}{A regression object, of type either lm or glm,
   for which there is a \code{predict}
  method defined. }
  \item{exclude}{A vector of indices of variables for which a plot is not
  required.  For example, \code{c(2,4)} would exclude the second and fourth
  terms in the model, excluding the intercept.}
  \item{layout}{A reasonable layout for the plots in the window is
  determined by the program.  If you don't like the default you can set your
  own layout:  \code{c(2,3)} means two rows and three columns.}
  \item{ask}{If TRUE, ask before clearing the graph window to draw more plots.}
  \item{u}{ The quantity to be plotted on the horizontal axis.  The
  default is the predicted values \code{predict(object)}.  Can be any other
  vector of length equal to the number of observations in the object. }
  \item{mean}{ If TRUE, compare mean smooths}
  \item{sd}{ If TRUE, compare sd smooths }
  \item{label}{ label for horizontal axis }
  \item{degree}{Degree of the local polynomial, passed to \code{loess}.  The
  usual default for \code{loess} is 2, but the default here is one.}
  \item{span}{Span, the smoothing parameter for \code{loess}.  }
  \item{colors}{ colors for data and model smooth, respectively }
  \item{\dots}{ additional arguments passed to \code{loess} and \code{plot} }
}   
\details{
\code{mmp} draws one marginal model plot.  \code{mmps} draws all marginal model plots,
versus each of the terms in the model and versus fitted values.  \code{mmps}
should not be used if some of the terms in the model are factors or
interactions.
}
\value{
Used for its side effect of producing plots. 
}

\seealso{\code{\link{loess}}, \code{\link{plot}} }

\references{ S. Weisberg (2005), \emph{Applied
Linear Regression}, third edition, Wiley, Chapter 8}
\author{Sanford Weisberg, \email{sandy@stat.umn.edu}}

\examples{
data(ufcwc)
c1 <- lm(Height~Dbh,ufcwc)
mmp(c1,ufcwc$Dbh,label="Diameter, Dbh",color=c("black","black"))
mmps(c1)

} 
\keyword{hplot }% at least one, from doc/KEYWORDS
\keyword{regression}

\eof
\name{npdata}
\alias{npdata}
\docType{data}
\title{Northern pike catch per unit effort}
\description{
 Catch per unit effort data for 16 Minnesota lakes
}
\usage{data(npdata)}
\format{
  A data frame with 16 observations on the following 4 variables.
  \describe{
    \item{CPUE}{Estimated catch per unit effect}
    \item{SECPUE}{Estimated standard error of CPUE}
    \item{Density}{Estimated fish density}
    \item{SEdens}{Estimated standard error of Density}
  }
}

\source{
R. Pierce, Minnesota Dept. of Natural Resources
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 4.6.3.}
\examples{
data(npdata)
}
\keyword{datasets}

\eof
\name{oldfaith}
\alias{oldfaith}
\non_function{}
\docType{data}
\title{Old Faithful Geyser data}
\description{
Data on eruptions of Old Faithful Geyser, October 1980.  Variables are the
duration in seconds of the current eruption, and the time in minutes to the
next eruption.  Collected by volunteers, and supplied by the Yellowstone
National Park Geologist.  Data was not collected between approximately
midnight and 6 AM.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Duration}{
 Duration in seconds
    }
    \item{Interval}{
 Time to next eruption
    }
 }
}

\source{R. Hutchinson}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 1.4.}
\examples{
data(oldfaith)
}
\keyword{datasets}

\eof
\name{outlier.t.test}
\alias{outlier.t.test}
\alias{outlier.t.test.default}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Bonferroni test for outliers in linear models }
\description{
  Compute significance levels for the mean-shift outlier model using the
  Bonferroni inequality
}
\usage{
outlier.t.test(m, order=TRUE, bound=1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{m}{ A model of type lm. }
  \item{order}{If TRUE, order the cases according to the p-value.  If
  FALSE, don't order.}
  \item{bound}{Ignore cases with p-value bigger or equal to this value. }
}
\details{
  Returns length(res)*2*(1-pt(abs(res),df)), where res = rstandard(m) is
  the vector of Studentized residuals.  These are two-sided Bonferroni
  significance levels for testing a single outlier.
}
\value{
  A data frame with columns giving the value of the studentized residual 
  and corresponding Bonferroni p-value, and one row for each case for
  which the bound is satisfied.
}
\references{ Weisberg, S. (2005). \emph{Applied Linear Regression}, third
edition, Wiley.}
\author{Sanford Weisberg, sandy@stat.umn.edu}
\examples{
data(cloud)
m1 <- lm(logb(Rain,2)~S+logb(C,2)+logb(P,2)+E+A,data=cloud,subset=-2)
outlier.t.test(m1)
}
\keyword{ regression }% at least one, from doc/KEYWORDS

\eof
\name{physics}
\alias{physics}
\alias{physics1}
\docType{data}
\non_function{}
\title{Physics data}
\description{
The file physics constains results for \eqn{\pi^+}{pi+} meson as input and
\eqn{\pi^+}{pi+} meson as
output.  physics1 is for \eqn{\pi^-}{pi-} to \eqn{\pi^-}{pi-}.
}
\format{This data frame contains the following columns:
 \describe{
    \item{x}{
 Inverse total energy
    }
    \item{y}{
 Scattering cross-section/sec
    }
    \item{SD}{
 Standard deviation
    }
 }
}

\source{
Weisberg, H., Beier, H., Brody, H., Patton, R., Raychaudhari, K., Takeda, H.,
Thern, R. and Van Berg, R. (1978).
s-dependence of proton fragmentation by hadrons. II.  Incident laboratory
momenta, 30--250 GeV/c.  \emph{Physics Review D}, 17, 2875--2887.  }
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 5.1.1.}
\examples{
data(physics1)
}
\keyword{datasets}

\eof
\name{pipeline}
\alias{pipeline}
\non_function{}
\title{Alaska pipeline}
\description{
The Alaska pipeline data consists of in-field ultrasonic
measurements of the depths of defects in the Alaska pipeline. The
depth of the defects were then re-measured in the laboratory.
These measurements were performed in six different batches. The
data were analyzed to calibrate the bias of the field measurements
relative to the laboratory measurements. In this analysis, the
field measurement is the response variable and the laboratory
measurement is the predictor variable.

These data were originally provided by Harry Berger, who was at the time a
scientist for the Office of the Director of the Institute of
Materials Research (now the Materials Science and Engineering
Laboratory) of NIST. These data were used for a study conducted
for the Materials Transportation Bureau of the U.S. Department of
Transportation.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Field}{
Number of defects measured in the field. 
    }
    \item{Lab}{
Number of defects measured in the field. 
    }
    \item{Batch}{
Batch number 
    }
 }
}

\source{
\url{http://www.itl.nist.gov/div898/handbook/pmd/section6/pmd621.htm}
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 8.3.}
\examples{
data(pipeline)
}
\keyword{datasets}

\eof
\name{plot.bctrans}
\alias{plot.bctrans}
\alias{summary.bctrans}
\alias{coef.bctrans}
\alias{vcov.bctrans}
\title{ Plot and summary helpers for bctrans objects}
\description{
  Extract, view, and plot useful summaries of a \sQuote{bctrans} object for
  transformations to normality.
}
\usage{

plot.bctrans(x,y=x$Y, lambda=coef(x),family=x$family,plot=pairs,...)

summary.bctrans(object, digits=4, ...)

coef.bctrans(object,...)

vcov.bctrans(object,...)
}
\arguments{
\item{x}{An object created by \code{bctrans}.}
\item{y}{If not NULL, add this variable to the scatterplot matrix}
\item{object}{An object created by \code{bctrans}.}
\item{lambda}{A vector of transformation parameters.}
\item{family}{A family of transformations, probably \code{"box.cox"} or
\code{"yeo.johnson"}}
\item{plot}{Name of the plotting function to view the results, usually
\code{pairs} or similar.}
\item{digits}{Accuracy of summary output for \sQuote{bctrans} objects.}
\item{...}{Arguments passed to other methods.}
}

\value{
The \code{plot} method is used for its side effect of producing a scatterplot matrix.  
The helper \code{summary}
summarizes a bctrans object. This helper calls 
\code{\link{lrt.bctrans}}, but the latter can be
called directly.  The helpers \code{coef} and \code{vcov}
return, respectively, the estimated value of lambda, and an estimate of
its covariance matrix (based on a profile log-likelihood).
}

\references{
Weisberg, S. (2005) \emph{Applied Linear Regression}, third edition. Wiley.
}
\author{ Sanford Weisberg, \email{sandy@stat.umn.edu} }

\seealso{
\code{\link{bctrans}}, \code{\link{lrt.bctrans}},
\code{\link{pairs}},
%\code{\link{scatterplot.matrx}},
\code{\link{inv.res.plot}}
 }

\examples{
data(highway)
b <- highway[,c(8,1,2,10,5)] # select interesting columns
summary(ans <- bctrans(b,family="yeo.johnson")) # zeros ==> use yeo.johnson
b$Sigs <- (round(b$Sigs*b$Len)+1)/b$Len # redefine so no zeroes
summary(ans <- bctrans(b)) # fit with box.cox
data(highway)
b <- highway[,c(8,1,2,10,5)] # select interesting columns
summary(ans <- bctrans(b,family="yeo.johnson")) # zeros ==> use yeo.johnson
b$Sigs <- (round(b$Sigs*b$Len)+1)/b$Len # redefine so no zeroes
summary(ans <- bctrans(b)) # fit with box.cox
lrt.bctrans(ans,lrt=list(c(0,-1,1,0)))
plot(ans,family="power") # plot, but use ordinary powers
b <- cbind(b,powtran(ans)) # add transformed variables to data frame
}
\keyword{ models }% at least one, from doc/KEYWORDS
\keyword{ regression }% __ONLY ONE__ keyword per line

\eof
\name{pod}
\alias{pod}
\alias{pod.lm}
\alias{pod.formula}
\alias{print.pod}
\alias{summary.pod}
\alias{coef.pod}
\alias{anova.pod} 
%\alias{podanova}
\alias{deviance.pod} 
\alias{resid.pod}
\alias{formula.pod}
\alias{fitted.pod}
\alias{podresponse}
\alias{df.residual.pod}
\alias{predict.pod}
\alias{plot.pod}
\alias{plot.pod.lm}
\alias{podnls.fit}
\alias{residuals.pod}
\alias{vcov.pod}

\title{ Fit partial one-dimensional, or POD models, based on a linear model }
\description{
A partial one-dimensional model, or a POD model, provides a concise description of
a regression model with many predictors and one grouping variable.  It requires a 
nonlinear regression fit.
}
\usage{
## This is a generic function with different arguments depending on the class of the
## first argument.  The generic form is

pod (x, ...)

## If the first argument to pod is a formula suitable for defining a linear model,

pod.formula (formula, data = sys.parent(), group, subset, weights, 
    na.action, mean.function = c("pod", "common", "parallel", 
        "general"), singular.ok = FALSE, contrasts = NULL, offset, 
    control = nls.control(), ...) 


## If the first argument to pod is the result of a linear model fit, the following
## function call is used.  All the arguments for pod.formula can also be passed to
## pod.lm.

pod.lm (x, group, mean.function, control, ...)   
    
## The following related function require a pod fit as the first argument:
    
anova.pod(object,scale=0,test="F",...)

plot.pod(x, colors=rainbow(nlevels(x$group)),
  pch=1:nlevels(x$group),key=FALSE,identify=FALSE,
  xlab="Linear Predictor", ylab=as.character(c(formula(x)[[2]])),
  ...)
 
plot.pod.lm(x, colors=rainbow(nlevels(x$group)),
      pch=1:nlevels(x$group),key=FALSE,identify=FALSE,
      xlab="Linear Predictor", ylab=as.character(c(formula(x)[[2]])),
      ...) 
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{formula}{A linear regression formula, as used in lm, or the results of a
call to pod.  See details below.}
  \item{x}{The result of a lm fit from which the formula and the
arguments data, subset, weights, na.action, singular.ok, contrasts and offset will
be taken.}
  \item{data}{ An optional data frame for the data to be used}
  \item{group}{ The name of a grouping variable (not quoted) that defines the
groups; see details below.}
  \item{mean.function}{Which mean function should be fit?  
The default is \dQuote{pod}, that
fits the partial one-dimensional mean function.  The other options are 
\dQuote{common}, which
fits a linear model with no grouping effects; \dQuote{parallel} fits a parallel
within-group regression, and \dQuote{general}, available in pod but not plot.pod,
fits a separate coefficeint for each
term in the model for each level of the grouping variable.}
  \item{subset}{ As in lm, the subset of cases to be used in the analysis }
  \item{weights}{Weights will be used in fitting non-pod models.  Since this
  argument is not supported for nls models, weights are ignored for fitting
  pod models.  If nls is ever updated, then pod models will correctly use
  the weights.}
  \item{na.action}{ At present, only na.omit is likely to work. }
  \item{singular.ok}{ The default equal to \code{FALSE} is recommended.}
  \item{contrasts}{ Same as in lm }
  \item{offset}{ Same as in lm }
  \item{control}{A pod model is fit using the nonlinear least squares routine nls.
This routine is very sensitive to starting values and other parameters set in the
algorithm.  This routine selects starting values for you that will often work very
well, but in some problems the user may want to change the defaults to nls program 
using the \code{\link{nls.control}} function.}
  \item{\dots}{In pod, other arguments passed to nls, such as control 
  parameters. In pod.anova, there are two additional arguments }
  \item{object}{The result of a call to pod.}
  \item{scale}{Used for test in anova}
  \item{test}{Default is to compute F tests.}
  \item{colors}{Colors for groups in the pod plot}
  \item{pch}{Ploting symbol for the groups in the pod plot}
  \item{identify}{If TRUE, clicking the mouse on a graph will print the case name
  of the nearest point.  This continues until turned off (by pushing the escape
  key, among other ways of doing this).}
  \item{key}{If FALSE, no key; if TRUE; click on the plot to have the
key drawn; if equal to a vector of length two, draw the key at the point
specified.}
  \item{xlab}{Horizontal label, optional}
  \item{ylab}{Vertical label, optional}
}
\details{
Suppose we start with a linear mean function specified by \code{y~x1+x2+x3}, where the
right-side variables can be any valid R variables, such as transformations, but NOT
factors or interactions (if you want to include these, you need to create the
dummy variables yourself).  We also specify a grouping variable z with, say, g levels.  Let 
\eqn{G_i}{Gi} be a dummy variable with values equal to 1 when \eqn{z=i}, and 
zero otherwise.  The pod mean function is then has the nonlinear mean function
\deqn{E(y|x,z) = \beta_0+\beta'x + \sum_{j=2}^g G_j(\theta_{0j}+\theta_{ij}\beta'x)}{
b0+ b'x + sum(j=2,g) Gj(th0j + th1j(b'x))}
This is a nonlinear mean function that specifies that the response depends on the predictors
only through one linear combination, that the dependence is linear, but the slope
and intercept may be different for each group.

The pod mean function is easily fit using \code{nls}.  For example, if z has two levels,
a nonlinear mean function that would work is
\code{y~b0+b1*x1+b2*x2+b3*x3+G2*(th02+th12*(b1*x1+b2*x2+b3*x3))}.
Starting values can be determined by fitting the parallel mean function, for this is a
linear mean function and easily fit.

The function \code{pod} automates this process; you need only input the linear
part of the mean function, and \code{pod} does the rest.

The function \code{anova.pod} is a little different from the generic anova 
function.  It  
fits and compares all four mean functions that can be fit with the
pod function:  (1) no group effect; (2) parallel
within group method; (3) pod mean function; (4) mean function with all main effects and 
two-factor
interactions with the grouping variable.

The function \code{plot} will plot the response versus the fitted linear 
combination for either the common, parallel or pod models.  There is no 2D plot for
the general model.

Objects of class pod have methods defined for the generic functions
\code{print},
\code{summary},
\code{coef},
\code{anova},
\code{deviance},
\code{vcov},
\code{resid},
\code{formula},
\code{fitted},
\code{df.residual} and
\code{predict}.  \code{podresponse} returns the values of the response.
}
\value{
If \code{mean.function="pod"}, a list of class pod, with the following components
  \item{nls.fit}{The usual output from a \code{nls} fit.}
  \item{linear.part }{The estimated linear predictor \eqn{\beta'x}{bhat'x}.}
  \item{call}{The original call to pod}
  \item{group}{The grouping variable}
  
If \code{mean.function} has any other value, an object of class c("pod.lm", "lm")
is returned.  Since the only method for pod.lm objects is a plotting method, 
except for plotting these objects behave like lm objects.  
}
\references{Cook, R. D. and Weisberg, S. (2004).  Partial-one dimensinal models.
\em{American Statistician}, 58, 110-116.

Weisberg, S. (2005) \em{Applied Linear Regression}, third edition.  New York: 
Wiley.}
\author{Sanford Weisberg, sandy@stat.umn.edu }

\seealso{See Also \code{\link{nls}}, \code{\link{lm}}, \code{\link{nls.control}} }
\examples{
data(ais)
m1 <- pod(LBM ~ Ht + Wt + RCC, data= ais, group= Sex)
anova(m1) # compare four models
plot(m1) # draw the plot
m2 <- update(m1, mean.function="parallel")
plot(m2,key=c(55,95))
}
\keyword{ models }% at least one, from doc/KEYWORDS
\keyword{ regression}
\keyword{hplot}

\eof
\name{powtran}
\alias{powtran}
\alias{powtran.default}
\alias{powtran.matrix}
\alias{powtran.data.frame}
\alias{powtran.bctrans}

\title{ Power transformations }
\description{
  \code{powtran} computes members of families of transformations indexed by one
parameter, the Box-Cox power family, or the Yeo and Johnson (2000) family, or the
basic power family, interpreting zero power as logarithmic. 
The family can be modified to have Jacobian one, or not, except for the basic
power family.
}
\usage{
powtran(U, lambda,family=\dQuote{box.cox},modified=TRUE)
powtran(U, lambda=U\$lambda, family=U\$family,modified=FALSE)
}

\arguments{
  \item{U}{U can be a vector, a matrix, a data.frame, or an object of type
  bctrans.  Missing values are permitted.  U must 
  be strictly positive unless family=\dQuote{yeo.johnson}.}
  \item{lambda}{ The transformation parameter, typically a value between -2 and 2.
  For U of type matrix, data.frame, or bctrans, lambda must be a vector with the
  same number of elements as U has columns.  lambda has no default, except for
  objects for type bctrans where the default is the value computed by bctrans.}
  \item{family}{ The transformation family to be used. See the details below.}
  \item{modified}{TRUE to divide by the Jacobian, as need to transform the response, 
  FALSE for no division.  The default is TRUE except for objects of type bctrans,
  where the default is FALSE.}
}

\details{
  The Box-Cox family of \emph{scaled power transformations}, \code{family="box.cox"}, 
  equals \eqn{(U^{\lambda}-1)/\lambda}{(U^(lambda)-1)/lambda} 
  for \eqn{\lambda}{lambda} \eqn{\neq}{not equal to} zero, and 
  \eqn{\log(U)}{log(U)} if \eqn{\lambda =0}{lambda = 0}.
  
  If \code{family="yeo.johnson"} then the Yeo-Johnson transformations are used.  
  This is is Box-Cox transformation of \eqn{U+1} for nonnegative values, 
  and of \eqn{|U|+1} with parameter \eqn{2-\lambda}{2-lambda} for \eqn{U} negative.
  
  The basic power transformation is simply \eqn{U^{\lambda}}{U^lambda} 
  if lambda not zero, and \eqn{\log(U)}{log(U)} otherwise.
  
  If \code{modified=TRUE}, then the scaled transformations are divided by the 
  Jacobian, which is a function of the geometric mean.
  
}
\value{
  For U a vector, matrix or data.frame, returns an object of the same type as U of
  transformed values.  For class bctrans, returns an object of the same class and
  shape as U\$X.
}
\references{Weisberg, S. (2005).  \emph{Applied Linear Regression}, third edition.
New York:  Wiley, Chapter 7.

Yeo, In-Kwon and Johnson, Richard (2000).  A new family of power
transformations to improve normality or symmetry.  \emph{Biometrika}, 87,
954-959.
}
\author{ Sanford Weisberg, sandy@stat.umn.edu }

\seealso{\code{\link{inv.tran.plot}}, \code{\link{bctrans}},
\code{link{inv.res.plot}},\code{\link{tran.family}}. }
\examples{
data(ufcwc)
attach(ufcwc)
powtran(Height,lambda=0)
inv.tran.plot(Dbh,Height, lam = c(-1, 0, 1), family="box.cox")
summary(ans <- bctrans1(cbind(Dbh,Height))) # bctrans1 is used for a matrix input
plot(ans)
}
\keyword{ regression}% at least one, from doc/KEYWORDS

\eof
\name{prodscore}
\alias{prodscore}
\non_function{}
\docType{data}
\title{Soil productivity}
\description{
Soil productivity scores for farms in townships in four counties in the 
Minneapolis St. Paul metropolitan area, 1981-82.  The goal is to see if 
the productivity score is a good predictor of the assessed value of the 
farmland.  If so, then productivity score could be used to set assesed value
for farms enrolled in the ``green acres'' program that requires that urban
farmland be taxed at its agricultural value only without regard to
development potential.
}
\format{This data frame contains the following columns:
 \describe{
    \item{County}{
 Name of the county
    }
    \item{Value}{
Assessed value in dollars per acre.
    }
    \item{P}{
Productivity score, a number between 1 and 100. 
    }
    \item{Year}{
Tax year, either 1981 or 1982. 
    }
 }
}

\source{Douglas Tiffany}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.9.}
\examples{
data(prodscore)
}
\keyword{datasets}

\eof
\name{pure.error.anova}
\alias{pure.error.anova}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Pure Error analysis of variance }
\description{
  For a linear model object of type \code{lm}, finds the sum of squares for lack of fit 
and the sum of squares for pure error.  These are added to the standard anova table
to give a test for lack of fit.  If there is no pure error, then the regular anova
table is returned.
}
\usage{
pure.error.anova(mod)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{mod}{an object of type \code{lm}}
}
\details{
  For regression models with one predictor, say \code{y ~ x}, this method fits
  \code{y ~ x + factor(x)} and prints the anova table.  With more than one predictor, it
  computes a random linear combination \eqn{L} of the terms in the mean function
  and then gives the anova table for \code{update(mod, ~.+factor(L))}.
}

\value{
  Returns an analsis of variance table.
}
\references{ Weisberg, S. (2005).  \emph{Applied Linear Regression}, third edition,
New York:  Wiley, Chapter 5.}
\author{ Sanford Weisberg, sandy@stat.umn.edu }

\seealso{  \code{\link{lm}} }
\examples{
x <- c(1,1,1,2,3,3,4,4,4,4)
y <- c(2.55,2.75,2.57,2.40,4.19,4.70,3.81,4.87,2.93,4.52)
m1 <- lm(y~x)
anova(m1)  # ignore pure error
pure.error.anova(m1)  # include pure error

data(forbes)
m2 <- lm(Lpres~Temp, data=forbes)
pure.error.anova(m2)  # function does nothing because there is no pure error

}
\keyword{ models }% at least one, from doc/KEYWORDS
\keyword{ regression }% __ONLY ONE__ keyword per line

\eof
\name{random.lin.comb}
\alias{random.lin.comb}
\alias{random.lin.comb.default}
\alias{random.lin.comb.lm}
\title{Compute a random linear combination of the columns of a matrix or data frame }
\description{
Computes \eqn{Xa} where \eqn{X} is an \eqn{n \times p}{n by p} matrix, and \eqn{a} is
a random vector of length \eqn{p}.
}
\usage{
random.lin.comb(X, seed = NULL)
}
\arguments{
  \item{X}{ An \eqn{n \times p}{n by p} matrix or data frame }
  \item{seed}{ If not NULL, use this to initialize the random number generator}
}
\details{
  The matrix \eqn{X} is first scaled and centered.  \eqn{a} is computed to have random
  uniform components on \eqn{(-1,1)}.
}
\value{
A vector of length \eqn{n}.
}
\author{Sanford Weisberg, \email{sandy@stat.umn.edu} }
\seealso{ \code{\link{pure.error.anova}}, ~~~ }
\examples{
random.lin.comb(matrix(rnorm(9),ncol=3))
}
\keyword{ manip}% at least one, from doc/KEYWORDS

\eof
\name{rat}
\alias{rat}
\non_function{}
\docType{data}
\title{Rat data}
\description{
Data collected in an experiment in which rats were injected with a dose of a
drug approximately proportional to body weight.  At the end of the experiment,
the animal's liver was weighed, and the fraction of the drug recoved in the
liver was recorded.  The experimenter expected the response to be independent
of the predictors.
}
\format{This data frame contains the following columns:
 \describe{
    \item{BodyWt}{
 BodyWt of the rat
    }
    \item{LiverWt}{
 LiverWt measured after sacrifice
    }
    \item{Dose}{
 Dose, roughly proportional to body weight
    }
    \item{y}{
 dose of drug recovered after sacrifice of the animal
    }
 }
}

\source{Dennis Cook}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 9.2.3.}
\examples{
data(rat)
pairs(rat)
summary(m1 <- lm(y~BodyWt+LiverWt+Dose, data=rat))
inf.index(m1)
}
\keyword{datasets}

\eof
\name{residual.plots}
\alias{residual.plots}
\alias{residual.plots.lm}
\alias{resplot}
\alias{resid.curv.test}
\alias{tukey.nonadd.test}
\title{Residual plots and curvature tests for linear model fits}
\description{
Plots the residuals versus each term in a mean function and versus
fitted values.  Also computes a curvature test for each of the plots
by adding a quadratic term and testing the quadratic to be zero.  This
is Tukey's test for nonadditivity when plotting against fitted values.
}
\usage{
### This is a generic function with only one required argument:

residual.plots (m, ...)

### When the first argument is a linear model (of class lm), the form of the
function is

residual.plots.lm(m,tukey=TRUE,exclude=NULL,plot=TRUE,
     layout=NULL,ask,...)

### The following are three related functions:    

resplot(m,varname="tukey",type="pearson",
                    plot=TRUE,add.quadratic=TRUE,...)
                    
resid.curv.test(m,varname)

tukey.nonadd.test(m)
}
\arguments{
  \item{m}{ \code{lm} regression object }
  \item{tukey}{If TRUE, draw plot of residuals versus fitted values and compute
  Tukey's test of non-additivity.}
  \item{exclude}{A list of predictor numbers for which plots will NOT be drawn.  If
  NULL, all plots are drawn.}
  \item{layout}{ If set to a value like \code{c(1,1)} or \code{c(4,3)}, the layout
  of the graph will have this many rows and columns.  If not set, the program will
  select an appropriate layout.  If the number of graphs exceed nine, you must 
  select the layout yourself, or you will get a maximum of nine per page.}
  \item{ask}{If TRUE, ask the user before drawing the next plot; FALSE if don't ask.}
  \item{\dots}{\code{residual.plots} passes these arguments to \code{resplot}.  
  \code{resplot}
  passes them to \code{plot}. }
  \item{varname}{Quoted variable name for the horizontal axis, 
  \code{"tukey"} by
  default for Tukey's test and the plot versus fitted values.}
  \item{type}{Type of residuals to be used.  Pearson residuals are 
  appropriate for \code{lm} objects since there are equivalent to ordinary residuals
  with ols and correctly weighted residuals with wls.}
  \item{add.quadratic}{if TRUE, fits the quadratic regression of the
  vertical axis on the  horizontal axis.}
  \item{plot}{If TRUE, draw the plot(s).}
  }
\details{
\code{resplot} draws ONE residual plot and returns the curvature test and its
significance level.  \code{residual.plots} draws all residuals plots, versus
each term in the model and versus fitted values,  and returns all the
curvature tests.  \code{residual.plots} should not be used with factors.  
\code{resid.curv.test} computes the curvature test only.
}
\value{
Returns a data.frame with one row for each plot drawn, one column for 
the curvature test statistic, and a second column for the corresponding
p-value.  This function is used primarily for its side effect of drawing
residual plots.
}
\references{S. Weisberg (2005), \emph{Applied
Linear Regression}, third edition, Wiley, Chapter 8}
\author{Sanford Weisberg, \email{sandy@stat.umn.edu}}

\seealso{See Also \code{\link{lm}}}


\examples{
data(highway)
highway$Sigs <- (round(highway$Sigs*highway$Len)+1)/highway$Len
attach(highway)
d <- data.frame(Rate=Rate,logLen=logb(Len,2),
                logADT=logb(ADT,2),logTrks=logb(Trks,2),
                Slim=Slim,Shld=Shld,logSigs1=logb(Sigs,2))
attach(d)
m2 <- lm(Rate~logLen+logADT+logTrks+Slim+Shld+logSigs1,d)
residual.plots(m2)
}
\keyword{ hplot }% at least one, from doc/KEYWORDS
\keyword{ regression }% __ONLY ONE__ keyword per line

\eof
\name{salary}
\alias{salary}
\non_function{}
\docType{data}
\title{Salary data}
\description{
Salary of faculty in a small Midwestern college in the early 1980s.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Degree}{
 Degree, 1 if PhD, 0 if Masters
    }
    \item{Rank}{
 Rank (1 = Asst Prof, 2 Assoc Prof, 3 Prof)
    }
    \item{Sex}{
 1 if female, 0 if male
    }
    \item{Year}{
 Years in current rank
    }
    \item{YSdeg}{
 Years since highest degree earned
    }
    \item{Salary}{
 dollars per year
    }
 }
}

\source{Sanford Weisberg}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.10.}
\examples{
data(salary)
}
\keyword{datasets}

\eof
\name{salarygov}
\alias{salarygov}
\non_function{}
\docType{data}
\title{Government salary study}
\description{
Data on non-unionized job classes in a US county in 1986.  Included are the
job class difficulty score, the number of employees in the class, number of
female employees, and the name of the class.
}
\format{This data frame contains the following columns:
 \describe{
    \item{JobClass}{
 Name of job class
    }
    \item{NW}{
 Number of women employees
    }
    \item{NE}{
 Total number of employees in a job class
    }
    \item{Score}{
 Difficulty score for job class
    }
    \item{MaxSalary}{
 Maximum salary for job class
    }
 }
}

\source{Sanford Weisberg}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 7.3.}
\examples{
data(salarygov)
}
\keyword{datasets}

\eof
\name{segreg}
\alias{segreg}
\non_function{}
\docType{data}
\title{Energy consumption}
\description{
Data on electricity consumption (KWH) and mean temperature (degrees F) for one
building on the University of Minnesota's Twin Cities campus.
for 39 months in 1988-92.  The goal is to model consumption
as a function of temperature.  Higher temperature causes the use of air
conditioning, so high temperatures should mean high consumption.
This building is steam heated, so electricity is not used for heating.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Temp}{
 Monthly mean temperature, degrees F.
    }
    \item{C}{
 Electricty consumption in KWH/day
    }
 }
}

\source{Charles Ng}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 11.3.}
\examples{
data(segreg)
}
\keyword{datasets}

\eof
\name{shocks}
\alias{shocks}
\docType{data}
\title{Small electric shocks in dairy cows}
\description{
Results of a small experiment to learn about the effects of small electric shocks on dairy cows.
}
\usage{data(shocks)}
\format{
  A data frame with 6 observations on the following 3 variables.
  \describe{
    \item{Intensity}{Shock level, milliamps}
    \item{m}{Number of trials}
    \item{Y}{Number of times a positive reaction was observed}
  }
}
\source{
 R. Norell
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 12.3.}
\examples{
data(shocks)
}
\keyword{datasets}

\eof
\name{sigma.hat}
\alias{sigma.hat}
\alias{sigma.hat.default}
\alias{sigma.hat.glm}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Return the scale estimate for a regression model }
\description{
  This function provides a consistent method to return the estimated scale
  from a linear, generalized linear, nonlinear, or other model.
}
\usage{
sigma.hat(object)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{object}{A regression object of type lm, glm or nls}
}
\details{
For an lm or nls object, the returned quantity is the square root of the
estimate of \eqn{\sigma}{sigma}.  For a glm object, the returned quantity is
the square root of the estimated dispersion parameter.
}
\value{
  A nonnegative number
}
\author{Sanford Weisberg, \email{sandy@stat.umn.edu} }

\examples{
data(forbes)
m1 <- lm(Lpres ~ Temp, data=forbes)
sigma.hat(m1)
}
\keyword{ regression }% at least one, from doc/KEYWORDS

\eof
\name{sleep1}
\alias{sleep1}
\non_function{}
\docType{data}
\title{Sleep in mammals}
\description{
Includes species averages for 62 mammals. 
}
\format{This data frame contains the following columns:
 \describe{
    \item{SWS}{
 Slow wave nondreaming sleep, hrs/day
    }
    \item{PS}{
 Paradoxical dreaming sleep, hrs/day
    }
    \item{TS}{
 Total sleep, hrs/day
    }
    \item{BodyWt}{
 Body weight in kg
    }
    \item{BrainWt}{
 Brain weight in g
    }
    \item{Life}{
 Maximum life span, years
    }
    \item{GP}{
 Gestation time, days
    }
    \item{P}{
 Predation index, 1=low,5=hi
    }
    \item{SE}{
 Sleep exposure index 1=exposed, 5=protected
    }
    \item{D}{
 Danger index, 1=least, 5=most
    }
    \item{Species}{
 Species of animal
    }
 }
}

\source{
Allison, T. and Cicchetti, D. (1976). 
Sleep in
Mammals: Ecological and Constitutional Correlates 
\emph{Science}, vol. 194, pp. 732-734.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 6.2.}
\examples{
data(sleep1)
}
\keyword{datasets}

\eof
\name{snake}
\alias{snake}
\non_function{}
\docType{data}
\title{Snake river data}
\description{
The data give the water content of snow and the water yield in inches in the Snake River watershed in Wyoming.
}
\format{This data frame contains the following columns:
 \describe{
    \item{X}{
 water content of snow
    }
    \item{Y}{
 water yield from April to July
    }
 }
}

\source{Wilm, H. G. (1950). Statistical control in hydrologic forecasting.
\dQuote{Res. Notes}, 61, Pacific Northwest Forest Range Experiment Station,
Oregon.}

\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 2.7.3.}
\examples{
data(snake)
}
\keyword{datasets}

\eof
\name{sniffer}
\alias{sniffer}
\non_function{}
\docType{data}
\title{Sniffer data}
\description{
When gasoline is pumped into a tank, hydrocarbon vapors are forced out and into the atmosphere.  To reduce this significant source of air pollution, devices are installed to capture the vapor.  In testing these vapor recovery systems, a "sniffer" measures the amount recovered. John Rice provided the data for the file sniffer.txt.
}
\format{This data frame contains the following columns:
 \describe{
    \item{TankTemp}{
 Initial tank temperature (degrees F)
    }
    \item{GasTemp}{
 Temperature of the dispensed gasoline (degrees F)
    }
    \item{TankPres}{
 Initial vapor pressure in the tank (psi)
    }
    \item{GasPres}{
 Vapor pressure of the dispensed gasoline (psi)
    }
    \item{Y}{
 Hydrocarbons emitted (grams)
    }
 }
}

\source{John Rice}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 8.3.2.}
\examples{
data(sniffer)
}
\keyword{datasets}

\eof
\name{snowgeese}
\alias{snowgeese}
\non_function{}
\docType{data}
\title{Snow geese}
\description{
Counts of flocks of snow geese.
}
\format{This data frame contains the following columns:
 \describe{
    \item{photo}{
 Photo count
    }
    \item{obs1}{
 Observer 1 count (aerial)
    }
    \item{obs2}{
 Observer 2 count (aerial)
    }
 }
}

\source{Dennis Cook}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 5.5.}
\examples{
data(snowgeese)
}
\keyword{datasets}

\eof
\name{stopping}
\alias{stopping}
\non_function{}
\docType{data}
\title{Stopping distances}
\description{
Ezekiel and Fox (1959) data on auto stopping distances.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Speed}{
 Speed (mph)
    }
    \item{Distance}{
 Stopping distance (in feet)
    }
 }
}

\source{Ezekiel, M. and Fox, K. A. (1959). \emph{Methods of Correlation Analysis, Linear and Curvilinear}, New York: Wiley.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.2.}
\examples{
data(stopping)
}
\keyword{datasets}

\eof
\name{swan96}
\alias{swan96}
\docType{data}
\title{Black crappie study on Swan Lake, Minnesota}
\description{
Log catch per unit effect of 200 mm or longer black crappies was recored 27 times over the course
of 1996 on Swan Lake, Minnesota.
}
\usage{data(swan96)}
\format{
  A data frame with 27 observations on the following 2 variables.
  \describe{
    \item{Day}{Number of days after June 16, 1996}
    \item{LCPUE}{log of the catch of 200 mm or longer black crappies per unit effort (WHAT IS THE BASE?)}
  }
}

\source{
Minnesota Department of Natural Resources
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 11.4.}
\examples{
data(swan96)
}
\keyword{datasets}

\eof
\name{titanic}
\alias{titanic}
\non_function{}
\docType{data}
\title{Titanic}
\description{
For each person on board the fatal maiden voyage of the ocean liner
Titanic, this dataset records sex, age (adult/child), economic status
(first/second/third class, or crew) and whether or not that person
survived. 
}
\format{This data frame contains the following columns:
 \describe{
    \item{Surv}{
 Number of survivors
    }
    \item{N}{
 Survivors + Deaths
    }
    \item{Class}{
 Crew or passanger class
    }
    \item{Age}{
 Adult or child
    }
    \item{Sex}{
 Male or female
    }
 }
}

\source{
Report on the Loss of the `Titanic' (S.S.) (1990), \emph{British Board of
Trade Inquiry Report} (reprint), Gloucester, UK: Allan Sutton
Publishing.  Taken from the \emph{Journal on Statistical Education Archive},
submitted by rdawson@husky1.stmarys.ca.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 12.2.4.}
\examples{
data(titanic)
}
\keyword{datasets}

\eof
\name{tran.family.box.cox}
\alias{tran.family.box.cox}
\alias{tran.family}
\alias{tran.family.default}
\alias{tran.family.boxcox}
\alias{tran.family.yeo.johnson}
\alias{tran.family.YJ}
\alias{tran.family.power}
\alias{tran.family.basic}

\title{ Compute transformation families  }
\description{
  These are \emph{internal} functions that compute families of transformations.  The user
  accesses these functions using \code{\link{powtran}}.
}
\usage{
tran.family.box.cox(U, lambda, modified = TRUE)
tran.family.yeo.johnson(U,lambda,modified=TRUE) 
tran.family.power(U,lambda,modified=FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{U}{ The variable to be transformed. Missing values are permitted.  U must 
  be strictly positive unless \code{family="yeo.johnson"}. }
  \item{lambda}{ The transformation parameter, typically a value between \eqn{-2} and 2. }
  \item{modified}{ TRUE to divide by the Jacobian, as need to transform the response, 
  FALSE for no division.}
}
\details{
  Uses either the Box-Cox power family, the Yeo-Johnson generalization of this family
  for non-strictly-positive variables, or basic power transformations. 
  
  You can add additional families by writing a function \code{tran.family.myfamily}
  with the same arguments as \code{tran.family.box.cox}, and then set
  \code{family="myfamily"} in the call to \code{powtran}.
  
    \code{tran.family.YJ} is an alias for \code{tran.family.yeo.johnson}.  
  \code{tran.family.boxcox} is an alias for \code{tran.family.box.cox}.
  \code{tran.family.basic} is an alias for \code{tran.family.power}.
}
\value{
Returns a vector of the same length as U with the transformed values.
}
\references{Weisberg, S. (2005).  \emph{Applied Linear Regression}, third edition.
New York:  Wiley, Chapter 7.

Yeo, In-Kwon and Johnson, Richard (2000).  A new family of power
transformations to improve normality or symmetry.  \emph{Biometrika}, 87,
954-959.}
\author{ Sanford Weisberg, sandy@stat.umn.edu }

\seealso{\code{\link{powtran}}. }
\examples{
data(ufcwc)
attach(ufcwc)
powtran(Height,lambda=0)
}
\keyword{ internal }% at least one, from doc/KEYWORDS

\eof
\name{transact}
\alias{transact}
\non_function{}
\docType{data}
\title{Transaction data}
\description{
Data on transaction times in branch officies of a large Australian bank.
}
\format{This data frame contains the following columns:
 \describe{
    \item{T1}{
 number of type 1 transactions
    }
    \item{T2}{
 number of type 2 transactions
    }
    \item{Time}{
 total transaction time, minutes
    }
 }
}

\source{
Cunningham, R. and Heathcote, C.
(1989), Estimating a non-Gaussian regression model with multicollinearity.
Australian Journal of Statistics, 31,12-17.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 4.6.1.}
\examples{
data(transact)
}
\keyword{datasets}

\eof
\name{turk0}
\alias{turk0}
\non_function{}
\docType{data}
\title{Turkey data, one source}
\description{
  Turkey weight increase in an experiment in which the supplementation with methionine was
varied.
}
\format{This data frame contains the following columns:
 \describe{
    \item{A}{
 Amount of methionine supplement (percent of diet)
    }
    \item{Gain}{
 Pen weight increase (g)
    }
 }
}

\source{Cook, R. D. and Witmer, J. (1985). A note on the parameter-effects curvature. \emph{Journal of the American Statistical Association}, 80, 872-878.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.13.}
\examples{
data(turk0)
}
\keyword{datasets}

\eof
\name{turkey}
\alias{turkey}
\non_function{}
\docType{data}
\title{Turkey data, all sources}
\description{
Data from an experiment on the growth of turkeys.  60 pens of turkeys were
grown with a similar diet, supplemented with a dose of methionine from one of
three sources.  The response is average pen weight.  Recorded is dose, source,
m, always 5 except for dose=0, average weight gain, and within group SS.
}
\format{This data frame contains the following columns:
 \describe{
    \item{A}{
 Dose: Amount of supplement as a percent of the total diet
    }
    \item{Gain}{
 Ave. weight gain, over all replications
    }
    \item{S}{
    A factor for the source of methionine, three levels numbers 1, 2 and 3.
    }
    \item{m}{
 Number of replications or pens
    }
    \item{SD}{
 SD of the m pens with the same values of S and A.
    }
 }
}

\source{
R. D. Cook and J. Witmer (1985). A note on parameter-effects curvature.
\emph{Journal of the American Statistical Association}, 80, 872--878.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 1.1.} 
\examples{
data(turkey)
}
\keyword{datasets}

\eof
\name{twins}
\alias{twins}
\non_function{}
\docType{data}
\title{Burt's twin data}
\description{
The given data are IQ scores from identical twins; one raised in a foster home, and the other raised by birth parents.
}
\format{This data frame contains the following columns:
 \describe{
    \item{C}{
 Social class, 1=high, 2=medium, 3=low
    }
    \item{IQb}{
 biological
    }
    \item{IQf}{
 foster
    }
 }
}

\source{Burt, C. (1966). The genetic estimation of differences in intelligence: A study of monozygotic twins reared together and apart. \emph{Br. J. Psych.}, 57, 147-153.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.16.}
\examples{
data(twins)
}
\keyword{datasets}

\eof
\name{ufc}
\alias{ufc}
\alias{ufcgf}
\alias{ufcwc}
\docType{data}
\title{Height-diameter data for Upper Flat Creek, Idaho}
\description{
These data are forest inventory measures from the Upper Flat Creek stand of
the University of Idaho Experimental Forest, dated 1991.  

The file \code{ufc} contains all the data.  
\code{ufcwc} contains only Western red cedar.
\code{ufcgf} contains only grand fir.
}
\usage{data(ufcgf)}
\format{
  A data frame with the following 5 variables.
  \describe{
    \item{Plot}{Plot number}
    \item{Tree}{Tree within plot}
    \item{Species}{a factor with levels 
\code{DF} = Douglas-fir,
\code{GF} = Grand fir,
\code{SF} = Subalpine fir,
\code{WL} = Western larch,
\code{WC} = Western red cedar,
\code{WP} = White pine
}
    \item{Dbh}{Diameter 137 cm perpendicular to the bole, mm }
    \item{Height}{Height of the tree, in decimeters}
  }
}
\source{
Andrew Robinson
}
\references{
Weisberg, S. (2005). \emph{Applied Linear Regression}, third edition.  New
York:  Wiley.}
\examples{
data(ufcgf)
}
\keyword{datasets}

\eof
\name{walleye}
\alias{walleye}
\docType{data}
\title{Walleye length at age}
\description{
These data give length and age for over 3000 walleye (a type of fish) captured in Butternut
Lake, Wisconsin, in three periods with different management method in place.
}
\usage{data(walleye)}
\format{
  A data frame with 3198 observations on the following 3 variables.
  \describe{
    \item{age}{Age of the fish, years}
    \item{length}{Length, mm}
    \item{period}{1 = pre 1990, 2 = 1991-1996, 3=1997-2000}
  }
}
\source{
Michelle LeBeau
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 11.3.}
\examples{
data(walleye)
}
\keyword{datasets}

\eof
\name{water}
\alias{water}
\non_function{}
\docType{data}
\title{California water}
\description{
Can Southern California's water supply in future years be
predicted from past data? One factor affecting water availability
is stream runoff.  If runoff could be predicted, engineers, planners
and policy makers could do their jobs more efficiently.
Multiple linear regression models have been used in this regard.
This dataset contains 43 years worth of precipitation measurements
taken at six sites in the Owens Valley ( labeled APMAM, APSAB,
APSLAKE, OPBPC, OPRC, and OPSLAKE), and stream runoff volume
at a site near Bishop, California.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Year}{
 collection year
    }
    \item{APMAM}{
 Snowfall measurement site
    }
    \item{APSAB}{
 Snowfall measurement site
    }
    \item{APSLAKE}{
 Snowfall measurement site
    }
    \item{OPBPC}{
 Snowfall measurement site
    }
    \item{OPRC}{
 Snowfall measurement site
    }
    \item{OPSLAKE}{
 Snowfall measurement site
    }
    \item{BSAAM}{
 Stream runoff near Bishop, CA
    }
 }
}

\source{
Source:  http://www.stat.ucla.edu.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 1.5.}
\examples{
data(dwp)
}
\keyword{datasets}

\eof
\name{wblake}
\alias{wblake}
\alias{wblake2}
\docType{data}
\non_function{}
\title{West Bearskin Lake walleye data.}
\description{
Data on samples of Walleye collected in West Bearskin Lake, Minnesota,
in 1991.  The file \code{wblake} includes only fish of ages 8 or younger,  
while \code{wblake2} adds a few older fish.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Age}{
 Age at capture (yrs)
    }
    \item{Length}{
 Length at capture (mm)
    }
    \item{Scale}{
 radius of a key scale, mm
    }
 }
}

\source{Minnesta Department of Natural Resources}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 1.1.}
\examples{
data(wblake)  # excludes fish age 9 or older
data(wblake2)  # all fish
}
\keyword{datasets}

\eof
\name{wm1}
\alias{wm1}
\docType{data}
\title{Simple windmill data}
\description{
Windspeed data collected at a test site for a windmill, and also at a nearby long-term weather
site, in Northern South Dakota.  
Data collected every six hours for all of 2002, except that all of the month
of May and a few other observations are missing.
}
\usage{data(wm1)}
\format{
  A data frame with 1116 observations on the following 3 variables.
  \describe{
    \item{Date}{A text variable with values like "2002/1/2/6" meaning the reading at 6AM on
    January 2, 2002}
    \item{CSpd}{Windspeed in m/s at the candidate site}
    \item{RSpd}{Windspeed for the reference site}
  }
}
\source{
Mark Ahlstrom and Rolf Miller, WindLogics, Inc.
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 2.13.}
\examples{
data(wm1)
}
\keyword{datasets}

\eof
\name{wm2}
\alias{wm2}
\docType{data}
\title{Windmill data with direction information}
\description{
 Windspeed data collected at a test site for a windmill, and also at a nearby long-term weather
site, in Northern South Dakota.  
Data collected every six hours for all of 2002, except that all of the month
of May and a few other observations missing.
}
\usage{data(wm2)}
\format{
  A data frame with 1116 observations on the following 5 variables.
  \describe{
    \item{Date}{A text variable with values like "2002/1/2/6" meaning the reading at 6AM on
    January 2, 2002}
    \item{CSpd}{Windspeed in m/s at the candidate site}
    \item{RSpd}{Windspeed for the reference site}
    \item{RDir}{Wind direction, in degrees, at the reference site}
    \item{Bin}{Wind direction binned into 16  equal width  bins}
  }
}
\source{
Mark Ahlstrom and Rolf Miller, WindLogics, Inc.
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.8.}
\examples{
data(wm2)
}
\keyword{datasets}

\eof
\name{wm3}
\alias{wm3}
\docType{data}
\title{Binned wind speed data}
\description{
For the windspeed data in the file \code{wm2}, this is the number of observations in each of the 
bins, and the average windspeed in that bin
}
\usage{data(wm3)}
\format{
  A data frame with 16 observations on the following 2 variables.
  \describe{
    \item{bin.count}{Number of observations in the bin}
    \item{RSpd}{Average windspeed in the bin}
  }
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Problem 6.8.2.
}
\examples{
data(wm3)
}
\keyword{datasets}

\eof
\name{wm4}
\alias{wm4}
\docType{data}
\title{Windmill data with direction information and four reference sites}
\description{
Windspeed data collected at a test site for a windmill, and also at four nearby long-term weather
site, in Northern South Dakota.  
Data collected every six hours for all of 2002, except that all of the month
of May and a few other observations are missing.
}
\usage{data(wm4)}
\format{
  A data frame with 1114 observations on the following 14 variables.
  \describe{
    \item{Date}{A text variable with values like "2002/1/2/6" meaning the reading at 6AM on
    January 2, 2002}
    \item{CSpd}{Wind speed (m/s) at candidate site}
    \item{Spd1}{Wind speed (m/s) at reference site 1}
    \item{Spd2}{Wind speed (m/s) at reference site 2}
    \item{Spd3}{Wind speed (m/s) at reference site 3}
    \item{Spd4}{Wind speed (m/s) at reference site 4}
    \item{Spd1Lag1}{Lag 1 Wind speed (m/s) at reference site 1}
    \item{Spd2Lag1}{Lag 1 Wind speed (m/s) at reference site 2}
    \item{Spd3Lag1}{Lag 1 Wind speed (m/s) at reference site 3}
    \item{Spd4Lag1}{Lag 1 Wind speed (m/s) at reference site 4}
    \item{Spd1sin1}{Spd times sin(direction) at site 1}
    \item{Spd1cos1}{Spd times cos(direction) at site 1}
    \item{bin1}{Wind direction bin for site 1}
    \item{Dir1}{Wind direction for site 1, in degrees}
  }
}
\source{
Mark Ahlstrom and Rolf Miller, WindLogics, Inc.
}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 10.4.1.}
\examples{
data(wm4)
}
\keyword{datasets}

\eof
\name{wool}
\alias{wool}
\non_function{}
\docType{data}
\title{Wool data}
\description{
This is a three-factor experiment with each factor at three levels, for
a total of 27 runs.  Samples of worsted yarn were with different levels of
the three factors were given a cyclic load until the sample failed.  The
goal is to understand how cycles to failure depends on the factors.
}
\format{This data frame contains the following columns:
 \describe{
    \item{Len}{
 length of specimen (250, 300, 350 mm)
    }
    \item{Amp}{
 amplitude of loading cycle (8, 9, 10 min)
    }
    \item{Load}{
 load (40, 45, 50g)
    }
    \item{Cycles}{
 number of cycles until failure
    }
 }
}

\source{
Box, G. E. P. and Cox, D. R. (1964).  An analysis of transformations (with
discussion).  \emph{J. Royal Statist. Soc.}, B26, 211-46.}
\references{Weisberg, S. (2005). \emph{Applied Linear Regression}, 3rd edition. New York: Wiley, Section 6.3.}
\examples{
data(wool)
}
\keyword{datasets}

\eof
